Change 1861 by scottl@scottl-template on 2003/01/21 18:26:00

	       Update driver version to 1.3.0

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#108 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#25 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#28 edit

Change 1859 by scottl@scottl-template on 2003/01/21 15:27:08

	readme.txt:
	README.aic7xxx:
		Convert tabs to spaces.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/README.aic7xxx#4 edit
... //depot/linux_mod_devel/scsi.aic7xxx/readme.txt#4 edit

Change 1858 by scottl@scottl-template on 2003/01/21 14:43:42

	readme.txt:
	README.aic79xx:
		Fix the wording of the 1.3.0 version history line
		Replace tabs with spaces.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/README.aic79xx#6 edit
... //depot/linux_mod_devel/scsi.aic79xx/readme.txt#18 edit

Change 1856 by gibbs@bitkeeper-linux-2.5 on 2003/01/21 12:37:08

	Update the embedded aic7xxx driver README.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/README.aic7xxx#3 edit

Change 1854 by gibbs@bitkeeper-linux-2.5 on 2003/01/21 12:12:27

	Update aic79xx README used for embedding.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/README.aic79xx#5 edit

Change 1851 by gibbs@bitkeeper-linux-2.5 on 2003/01/20 16:45:59

	Bump aic7xxx driver to version 6.2.28.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#123 edit

Change 1850 by scottl@scottl-template on 2003/01/20 16:29:28

	       Update driver version to 1.3.0.RC2

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#107 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#24 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#27 edit

Change 1849 by gibbs@bitkeeper-linux-2.4 on 2003/01/20 16:23:35

	aic79xx_osm.c:
		Correct the BUILD_SCSIID macro to take into account the
		future removal of target, lun and channel from the
		scsi_cmnd structure.
	
		Clean up ahd_linux_initialize_scsi_bus().  The indirection
		was left over from the port from aic7xxx where twin
		channel adapters come into play.  The result in the aic79xx
		driver just looked silly.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#115 edit

Change 1848 by gibbs@bitkeeper-linux-2.4 on 2003/01/20 16:20:47

	aic79xx.c:
		Fix a missed goal.period -> goal.offset change.  In
		this case, the bug resulted in comparing a period
		against an offset.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#156 edit

Change 1847 by gibbs@bitkeeper-linux-2.4 on 2003/01/20 10:14:37

	aic79xx.c:
	aic7xxx.c:
		Indicate the features, bugs, and flags set in the softc
		that are used to control firmware patch download when
		booting verbose.
	
	aic7xxx.c:
		Fix an ifdef bug that caused sequencer debugging to
		be enabled always.
	
		Clear the ultraenb flag in our tstate during startup.
		The ultraenbled'ness of a device is recorded in the user
		transfer settings.  tstate->ultraenb bitmask indicates
		which devices we have negotiated an ultra speed with.
		Just after initialization, we are async.  Setting the
		ultraenb flag while async seems to be harmless, but it
		was confusing to see the ULTRAENB flag set in the SCB.
	
		Allow ahc_dump_card_state() to be called when the sequencer
		is not paused.  Add dump card state markers as in the U320
		driver.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#155 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#112 edit

Change 1846 by gibbs@bitkeeper-linux-2.4 on 2003/01/20 09:53:07

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Dump card state on DV timeouts when SHOW_DV debug
		option is set.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#114 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#179 edit

Change 1845 by gibbs@bitkeeper-linux-2.4 on 2003/01/17 14:46:30

	aic79xx.c:
	aic7xxx.c:
		Force an SDTR after a rejected WDTR if the
		syncrate is unkonwn.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#154 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#111 edit

Change 1844 by gibbs@bitkeeper-linux-2.5 on 2003/01/17 13:20:26

	aic7xxx_osm.h:
		Bump driver version to 6.2.27.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#122 edit

Change 1843 by gibbs@overdrive on 2003/01/17 13:06:51

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#22 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg_print.c#9 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#23 edit

Change 1842 by scottl@scottl-template on 2003/01/17 12:39:50

	       Update driver version to 1.3.0.RC1

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#106 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#23 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#26 edit

Change 1841 by gibbs@bitkeeper-linux-2.4 on 2003/01/17 12:39:21

	aic7xxx.c:
	aic7xxx.h:
	aic7xxx_pci.c:
		Take another stab at disabling PCI errors in the aic7xxx
		driver.  We now just clear the PERRRESEN bit in the command
		register.  This option is now enabled via a new flag in
		ahc->flags: AHC_DISABLE_PCI_PERR.
	
	aic7xxx_osm.c:
		Hook the already existing pci_parity option.  Parity
		defaults to off since so many Linux users have clunky
		VIA chipsets that cause spurious warnings.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#110 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#70 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#57 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#178 edit

Change 1840 by scottl@scottl-template on 2003/01/16 18:53:11

	aic7xxx_osm.c:
		Fix missed AHD->AHC substitutions from last commit.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#177 edit

Change 1839 by scottl@scottl-template on 2003/01/16 18:51:20

	aic7xxx_osm.c:
		Traverse the array of targets and devices in
		ahc_platform_free() and remove each device.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#176 edit

Change 1838 by scottl@scottl-template on 2003/01/16 18:46:46

	aic79xx_osm.c:
		Traverse the arrays of targets and devices to free each
		device when ahd_platform_free() is called.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#113 edit

Change 1837 by gibbs@bitkeeper-linux-2.4 on 2003/01/16 16:24:58

	aic79xx_osm.c:
	aic79xx_osm.h:
	aic7xxx_osm.c:
	aic7xxx_osm.h:
		Adapt to upcoming 2.5.X change.  The host, target, channel,
		and lun fields are disappearing from the scsi_cmnd structure.
		We must instead get this data from the scsi_device structure
		hung off the command.  The only trick in this is an update
		to how we fake up DV commands.  We now need to fake up a
		scsi_device too.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#112 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#105 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#175 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#121 edit

Change 1836 by gibbs@bitkeeper-linux-2.4 on 2003/01/16 14:39:58

	aic79xx.c:
		Only send an async update to the luns affected by
		the device reset now that ahd_handle_devreset is
		called for lun resets too.
	
	aic79xx_osm.c:
		Only bother dumping card state after we've determined
		that the command to be aborted is still active on the
		controller.
	
	aic79xx_osm.c:
	aic7xxx_osm.c:
		Have the AC_SENT_BDR handler manually set the was_reset
		and expecting_cc_ua flags in all devices that are
		affected by the target/lun reset.
	
		Never allow cmd->retries to go below zero.  cmd->retries
		is not incremented when a command goes through recovery.
		This could allow the retry count to suddenly become a
		very large number.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#153 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#111 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#174 edit

Change 1834 by gibbs@aslan on 2003/01/15 21:32:22

	aic7xxx.seq:
		Correct a target mode regression that prevented the
		driver from properly handling unexpected
		messages (negotiation, etc).

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.seq#54 edit

Change 1833 by gibbs@bitkeeper-linux-2.4 on 2003/01/15 21:27:13

	aic79xx_osm.c:
		Split out the abort handler from the dev reset handler.
		The dev reset handler will now use a new SCB to issue
		the dev reset.  This avoids a potential problem with
		SCB race issues for dev resets.
	
		Manually set the task management function now that
		ahd_queue_scb() doesn't do this for us.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#110 edit

Change 1832 by gibbs@bitkeeper-linux-2.4 on 2003/01/15 21:20:59

	aic79xx.c:
		Update copyright for 2003.
	
		Modify ahd_handle_devreset so that it can handle
		lun resets in addition to target resets.
	
		Correct a bug in the illegal phase handler that
		caused us to drop down to narrow when handling the
		unexpected command phase case after 3rd party
		reset of a packetized device.
	
		Add some diagnostics to the task management function code.
	
		Use ahd_handle_devreset for lun and target reset task
		management functions.
	
		Handle the abort task TMF race case better.  We now
		wait until any current selections are over and then
		set the TMF back to zero.  This should cause the sequencer
		to ignore the abort TMF completion should it occur.
	
		Correct a regression in ahd_sent_msg that caused it to fail
		to recognize any 1byte messages other than identify.
	
	aic79xx_inline.h:
		Allow callers to ahd_send_scb() to set the task management
		function.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#152 edit
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#41 edit

Change 1831 by scottl@scottl-template on 2003/01/15 17:37:56

	Move aic_error_action and aic_calc_speed out of the osm's and
	into aiclib.  Do slight header adjustment to make it work.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.h#69 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#109 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#104 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#173 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#120 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.c#6 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.h#6 edit

Change 1830 by gibbs@bitkeeper-linux-2.4 on 2003/01/15 15:33:45

	aic79xx_osm.c:
	aic79xx_osm.h:
	aic7xxx_osm.c:
	aic7xxx_osm.h:
		Correct use of AHD_EH_UP_SEMAPHORE.  This should
		unbreak the recovery handler.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#108 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#103 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#172 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#119 edit

Change 1829 by gibbs@overdrive on 2003/01/15 11:18:20

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#54 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#35 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#55 edit

Change 1828 by gibbs@bitkeeper-linux-2.5 on 2003/01/15 10:19:07

	aic79xx_osm.c:
		Continue to dump the card state on timeouts for the
		time being.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#107 edit

Change 1827 by gibbs@bitkeeper-linux-2.5 on 2003/01/15 10:18:44

	aic7xxx.h:
		Reformat a few comments to follow driver style.
	
		Add a controller flag that indicates that a controller
		has not been initialized by the BIOS.
	
	aic7xxx.c:
		Disable PCI error interrupts on PCI adapters prior
		to the Ultra2 controllers.  This brings us in line
		with what the other Adaptec drivers do, but it is
		still not clear exactly why this status reporting
		might be broken.
	
		Don't set our width to unknown when forcing negotiation
		on narrow controllers.  This will confuse the negotiation
		code into negotiating with a wide message on narrow
		controllers.
	
		In ahc_reset(), record whether or not we found the
		controller in a reset state.  If the controller was
		already reset, assume that no BIOS has initialized
		the controller and ignore left over scratch ram
		settings.
	
		In ahc_dump_card_state() fix a logic reversal.  The
		SCSIPHASE register only exists on U160 controllers.
		The SCSISIGI register exists on all controllers.  Not
		the other way around.
	
	aic7xxx_osm.c:
		Format sense diagnostic in 16 byte rows.
	
		Remove a superfluous diagnostic printf.
	
	aic7xxx_pci.c:
		Ensure that the PCIERRGENDIS bit is set in the
		PCIERRGEN config space register.  Perhaps this
		is a reason for the spurios parity errors reported
		on U160 controllers.
	
		Honor the AHC_NO_BIOS_INIT flag.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#109 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#68 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#56 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#171 edit

Change 1826 by gibbs@bitkeeper-linux-2.5 on 2003/01/15 10:10:47

	aic79xx.reg:
		Add SEQINT codes for handling task management
		completions.
	
	aic79xx.seq:
		Add notifications to the host of task management
		completions as well as the completions for commands
		that have a task management function pending but
		not yet sent.
	
		Hold a critical section during select-out processing
		until we have a fully identified connection.  This
		removes a race condition with the legacy abort handler.
	
		Correct a few spelling errors in some comments.
	
	aic79xx_core.c
		Flush the good status FIFO in ahd_flush_qoutfifo.
		This routine should now catch all completed commands
		in their various locations and states.
	
		Add support for task management function completions.
	
		If we are a narrow controller, don't set the current
		width to unknown when forcing a future negotiation.
		This just confuses the code into attempting a wide
		negotiation on a narrow bus.
	
	aic79xx_osm.c:
		Enable recovery code.  Behavior should be similar to
		that of the aic7xxx driver for legacy devices.  For
		packetized devices, we will now queue the appropriate
		task management function.
	
		When printing out sense information, format in 16
		byte rows.
	
	scsi_iu.h:
		Add definitions for the task management codes sent
		in SPI4 command information units.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#151 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#60 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#78 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#106 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/scsi_iu.h#4 edit

Change 1825 by gibbs@bitkeeper-linux-2.5 on 2003/01/10 16:42:54

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Short cicuit domain validation if the inquiry
		data for the device shows that it does not support
		sync or wide transfers.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#105 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#170 edit

Change 1820 by gibbs@bitkeeper-linux-2.5 on 2003/01/07 19:47:06

	aic79xx_osm_pci.c:
		Always set the pci_dma_mask.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#20 edit

Change 1819 by gibbs@bitkeeper-linux-2.5 on 2003/01/07 19:44:50

	aic7xxx_osm_pci.c:
		Always initialize the pci_dma_mask.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#43 edit

Change 1818 by gibbs@overdrive on 2003/01/07 19:11:29

	aic79xx_osm.h:
	aic7xxx_osm.h:
		Correct version numbers.  We are now at aic7xxx 6.2.26,
		and aic79xx 1.3.0_BETA2.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#102 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#118 edit

Change 1817 by scottl@scottl-template on 2003/01/07 19:03:54

	       Update driver version to 6.2.24

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#117 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/aic7xxx.spec#10 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/install.sh#14 edit

Change 1815 by scottl@scottl-belfalas-template on 2003/01/07 18:58:15

	Forward declare and static-ize aic7xxx_setup().

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#169 edit

Change 1814 by gibbs@bitkeeper-linux-2.5 on 2003/01/07 18:35:16

	aic7xxx_osm.h:
		Add PCIM_CMD_SERRESPEN definition.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#116 edit

Change 1813 by gibbs@overdrive on 2003/01/07 18:32:44

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#21 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg_print.c#8 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#22 edit

Change 1812 by gibbs@aslan on 2003/01/07 17:38:33

	aic79xx_pci.c:
	aic7xxx_pci.c:
		Disable SERR and pause the controller prior to performing
		our mmapped I/O test.  This should handle the case of
		controllers that do not "auto-access pause".  For legacy
		controllers, use SCB ram instead of scratch ram since
		the latter may contain settings left over from the BIOS
		that we will use if an seeprom is not found.
	
	aic7xxx.h:
	aic7xxx.c:
		Remove the probe_stack code.  The stack is always
		4 deep on legacy controllers, so probing is pointless.
		This also avoids an issue where probing the stack would
		upset the aic7770.
	
	aic7xxx.c:
		Print out the ERROR register in ahc_dump_card_state().
	
	aic7xxx.reg:
		Add a constant for the controller's stack size.
	
	aic7xxx.seq:
		Style nit.  The source is implied to be the destination
		unless overridden in an "and" instruction.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#61 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#108 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#67 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.reg#37 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.seq#53 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#55 edit

Change 1811 by gibbs@aslan on 2003/01/07 14:20:42

	aicasm_gram.y:
		Remove the numerical_value portion of the grammer
		which is no longer referenced.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#29 edit

Change 1810 by scottl@scottl-template on 2003/01/07 09:29:00

	       Update driver version to 1.3.0.BETA1

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#101 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#21 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#24 edit

Change 1808 by gibbs@bitkeeper-linux-2.5 on 2003/01/06 14:21:46

	aic7xxx_osm.c:
		Correctly account for twin channel adapters in
		pre-allocating target devices for initial DV scan.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#168 edit

Change 1807 by gibbs@bitkeeper-linux-2.5 on 2003/01/06 11:58:41

	aic79xx.c:
		Correct ahd_find_syncrate() so that the actual
		syncrate and not the "maximum syncrate" is modified
		by tests that limit syncrate based on PPR options.
	
	aic7xxx.c:
	aic79xx.c:
		Enhance residual diagnostic to indicate if the residual
		if for sense information or normal data transfers.
	
	aic79xx_osm.c:
	aic7xxx_osm.c:
		For the initial DV scan, only instantiate target objects
		for IDs that can exist (i.e. only up to ID 7 on narrow
	
		Record the maximum bus width for fallback in the target
		structure and use this to ensure we never fallback to
		wide on a narrow target.
		channels).
	
		Add DV diagnostic for failed inquiry verification.
	
	aic79xx_osm.h:
	aic7xxx_osm.h:
		Add dv_max_width to target structures and shrink several
		fields to 8bits.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#150 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#107 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#104 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#100 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#167 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#115 edit
... //depot/linux-aic79xx-2.5.0/drivers/scsi/aic7xxx/Makefile#5 edit

Change 1805 by scottl@scottl-junior-freebsd on 2002/12/30 21:13:11

	Convert the use of MAXBSIZE in the dma tag to more appropriate values.
	Use BUS_SPACE_MAXSIZE_32BIT for the parent dma tags, and
	(NSEGS - 1) * PAGE_SIZE for the data buffer tags.  FreeBSD/sparc64 is
	more strick about checking these values that other arches.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#149 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#106 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/ahc_eisa.c#10 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/ahc_pci.c#12 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/ahd_pci.c#12 edit

Change 1804 by gibbs@bitkeeper-linux-2.5 on 2002/12/30 18:59:49

	aic79xx_osm.h:
		Bump version number to 1.3.0_ALPHA6
	
	aic7xxx_osm.h:
		Bump version number to 6.2.25.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#99 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#114 edit

Change 1803 by gibbs@bitkeeper-linux-2.4 on 2002/12/30 16:54:09

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Reorganize DV state machine so that full inquiry data
		is retrieved prior to testing to see if the unit is ready.
		We now use this full inquiry data to assume defaults if
		for some reason the DV state machine fails to configure
		the device.  This failsafe mechanism should ensure that
		these devices are at least configured in the same fashion
		as they were before the addition of DV to these drivers.
	
	aic79xx_osm.h:
	aic7xxx_osm.h:
		Re-arrange DV state enum to reflect current state machine
		transitions.
	
		Add additional target flags used to implement the DV
		failsafe mechanism.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#103 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#98 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#166 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#113 edit

Change 1802 by gibbs@bitkeeper-linux-2.5 on 2002/12/30 14:59:22

	aic7770_osm.c:
	aic79xx_osm_pci.c:
	aic7xxx_osm_pci.c:
		Clean up check_region() usage.  It is deprecated in 2.5.X
		and 2.4.X, but is still required in earlier kernels.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7770_osm.c#12 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#19 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#42 edit

Change 1801 by gibbs@bitkeeper-linux-2.5 on 2002/12/30 13:50:25

	aiclib.c:
		Ignore media not-present errors during DV.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.c#5 edit

Change 1800 by gibbs@bitkeeper-linux-2.5 on 2002/12/30 13:50:10

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Use down_interruptable() rather than down() to avoid
		having our thread counted toward the load average.
		We disable all signal sources to that the down_interruptable()
		is not really interruptable().  Singals are not required for
		the drivers to terminate the DV threads on unload.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#102 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#165 edit

Change 1799 by gibbs@bitkeeper-linux-2.5 on 2002/12/30 12:19:23

	aicasm_symbol.c:
		Fix the last reference to the reg_print.c file handle
		in symtable_dump.  This allows the assembler to operate
		without generating this file.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.c#24 edit

Change 1798 by gibbs@bitkeeper-linux-2.5 on 2002/12/30 12:18:05

	aiclib.h:
		Restore driver style.  All functions are declared prior
		to being defined.  The original bug was that the 2.4.X
		declaration was used unconditionally.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.h#5 edit

Change 1797 by gibbs@bitkeeper-linux-2.5 on 2002/12/30 12:17:23

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Enable highmem_io on 2.5.X kernels.  It turns out that
		the CONFIG_HIGHIO option does not exist there.
	
		Call daemonize() on and provide a name for our dv threads.
	
	aic79xx_osm.h:
	aic7xxx_osm.h:
		Include smp_lock.h for (un)lock_kernel().
	
	aic7xxx_osm.c:
		Add a diagnostic, similar to that in the aic79xx driver,
		for printing out sense information.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#101 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#97 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#164 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#112 edit

Change 1796 by gibbs@bitkeeper-linux-2.5 on 2002/12/30 12:14:42

	aic7xxx.c:
		Preface the "asserting atn" diagnostic with controller/target
		information.
	
		Restore a call to ahc_assert_atn() that was inadvertantly
		lost when the asserting atn diagnostic was added.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#105 edit

Change 1795 by gibbs@bitkeeper-linux-2.5 on 2002/12/30 12:13:06

	aic79xx_core.c:
		Print out target information to preface the asserting
		attention diagnostic.
	
		Correct a compilation warning.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#148 edit

Change 1792 by gibbs@bitkeeper-linux-2.5 on 2002/12/20 17:52:04

	Bump to version 6.2.24.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#111 edit

Change 1788 by gibbs@aslan on 2002/12/20 16:39:14

	aic79xx.c:
		Remove stray debugging code.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#147 edit

Change 1787 by scottl@scottl-template on 2002/12/20 16:04:59

	       Update driver version to 1.3.0.ALPHA5

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#96 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#20 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#23 edit

Change 1786 by gibbs@overdrive on 2002/12/19 16:10:05

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#53 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#34 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#54 edit

Change 1785 by gibbs@aslan on 2002/12/19 16:08:47

	aic79xx.c:
		Add a statistics timer that decides when to enable
		or disable interrupt coalessing based on load.
	
		Add ahd_flush_qoutfifo() which will run the qoutfifo
		as well as complete any commands sitting on the 
		sequencer's COMPLETE_SCB lists.  Use this routine in
		several places that did similar things in an add-hoc,
		but incomplete, fashion.  A call to this routine was
		also added to ahd_abort_scbs() to close a race.
	
		Add a routine, ahd_reset_cmds_pending() which is used
		to update the CMDS_PENDING sequencer variable whenever
		error recovery compeltes SCBs without notifying the
		sequencer.  Since ahd_reset_cmds_pending is called
		during ahd_unpause() only if we've aborted SCBs, its
		call to ahd_flush_qoutfifo should not cause recursion
		through ahd_run_qoutfifo().  A panic has been added to
		ensure that this recursion does not occur.
	
		In ahd_search_qinfifo, update the CMDS_PENDING sequencer
		variable directly.  ahd_search_qinififo can be called
		in situations where using ahd_reset_cmds_pending() might
		cause recursion.  Since we can safely determine the
		exact number to reduce CMDS_PENDING by in this scenario
		without running the qoutfifo, the manual update is more
		than adequate.
	
		Clean up diagnostics.
	
	aic79xx.h:
		Update per-softc variables for the stats "daemon".
		The defaults for interrupt coalessing have been updated
		slightly, but these need additional tuning.  A new
		tunable paramter "minimum commands still outstanding
		required to attempt coalessing" has been added.
	
		Add a debug option for interrupt coalessing activities.
	
		Add two new softc flags:
		o AHD_UPDATE_PEND_CMDS
			Run ahd_reset_cmds_pending() on the next unpause.
	
		o AHD_RUNNING_QOUTFIFO
			Used to catch recursion through ahd_run_qoutfifo().
	
	aic79xx.reg:
		Break INTMASK in SEQITNCTL out into INTMASK1 and INTMASK2.
		In at least the REV A, these are writable bits.  We make
		use of that for a swtimer workaround in the sequencer.
	
		Add sequencer variables to recovery the min-commands
		still outstanding for coalessing and the current number
		of commands outstanding.
	
		Since HS_MAILBOX autoclears, provide a sequencer variable
		to store its contents.
	
	aic79xx.seq:
		In idle_loop_cchan, update LOCAL_HS_MAILBOX everytime
		we are notified of an HS_MAILBOX update via the
		HS_MAILBOX_ACT bit in QOFF_CTLSTA.
	
		Enhance our coalessing algorithm.  If we have more
		SCBs to complete to the host (sitting in COMPLETE_SCB
		lists), always try to coaless them up to our coalessing
		limit.  If coalessing is enabled, but we have fewer
		commands oustantind than the hosts limit, complete the
		command immediately.
	
		Since we cannot disable the swtimer's countdown, simply
		mask its interrupt once we no longer care about it firing.
	
		Add code to track the number of commands outstanding.
		Commands are outstanding from the time they are placed
		into the execution queue until the DMA to post completion
		is setup.
	
		Add a workaround for intvec_2 interrupts on the H2A4.
		In H2A4, the mode pointer is not saved for intvec2, but
		is restored on iret.  This can lead to the restoration
		of a bogus mode ptr.  Manually clear the intmask bits and
		do a normal return to compensate.
	
	aic79xx_inline.h:
		Call ahd_reset_cmds_pending() in ahd_unpause if required.
	
		Update cmdcmplt interrupt statistics in our interrupt
		handler.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#146 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#78 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#59 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#77 edit
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#40 edit

Change 1784 by gibbs@bitkeeper-linux-2.5 on 2002/12/18 10:33:25

	aic79xx_osm.c:
		Remove a stray ';' that was short cicuiting an if statement.
	
	aic79xx_osm.c:
	aic7xxx_osm.c:
	aic79xx_osm.h:
	aic7xxx_osm.h:
		Only allow slave_destroy() to destroy a real device
		if that device has had slave_configure() called on it.
		This prevents "silly deletions" caused by bogons in
		the scsi_scan code from deleting DV state for devices
		that are still attached and will have a slave_alloc()
		called for them as soon as the slave_destroy() returns.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#100 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#95 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#163 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#110 edit

Change 1783 by gibbs@bitkeeper-linux-2.5 on 2002/12/18 10:29:46

	aic7xxx.c:
		Don't clobber ppr_options when forcing a renegotiation.
		The current ppr_options may be referenced while queuing
		new commands.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#104 edit

Change 1782 by gibbs@bitkeeper-linux-2.5 on 2002/12/17 19:27:05

	aic79xx_osm.c:
		Add a prototype for ahd_linux_dv_fallback().
	
	aic7xxx_osm.c:
		Complete the merge of the new biosparam API from
		Christoph Hellwig.
	
	aic79xx_osm.c:
	aic7xxx_osm.c:
		Move the setting of max_sectors to the host template
		to quiet a warning in 2.5.X.
	
		Add slave_alloc calls and "bootverbose" diagnostics
		for help in sorting out exactly how this slave_*
		API functions.
	
		Move call to ahd_linux_device_queue_depth to within
		the test to see if dev is NULL.
	
		Add code to actually destroy our data structures to
		the slave_destroy routine instead of waiting for a
		command that may not come to do so.
	
		Initialize the name field of the host structure.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#99 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#162 edit

Change 1781 by gibbs@bitkeeper-linux-2.5 on 2002/12/17 19:20:16

	aic79xx.c:
		Remove "Now packetized" diagnostic now that this
		information is incorperated into the actual negotiation
		messages that are displayed.
	
		When forcing renegotiation, don't clober the current
		ppr_options.  Much of the driver uses this information
		to determine if we are currently packetized or not.
	
		Remove some stray spaces at column 1 and ahd_set_tags.
	
		When complaining about getting a host message loop
		request with no pending messages, print out the 
		SCB_CONTROL register down on the card.
	
		Modify the ahd_sent_msg() routine to handle a search
		for an outgoing identify message.  Use this to detect
		a msg reject on an identify message which typically
		indicates that the target thought we were packetized.
		Force a renegotiation in this case.
	
		In ahd_search_qinfifo(), wait more effectively for SCB
		DMA activities to cease.  We also clear out the state
		that tells the sequencer that a DMA was in progress for
		SCB fetch operations since we are about to change the
		qinfifo.
	
		In ahd_pause_and_flush_work(), actually itterate through
		the two Complete SCB lists.  Ooops.
	
		In ahd_qinfifo_count(), fix the qinfifo empty case.
	
		In ahd_dump_card_state(), print out CCSCBCTL in the
		correct mode.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#145 edit

Change 1780 by gibbs@bitkeeper-linux-2.5 on 2002/12/17 19:11:25

	aic79xx.seq:
		Add a missing ret to the last instruction in
		load_overrun_buf.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#76 edit

Change 1779 by gibbs@bitkeeper-linux-2.5 on 2002/12/17 19:10:42

	aic79xx.reg:
		Correct address for the DFDBCTL register.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.reg#58 edit

Change 1774 by scottl@scottl-template on 2002/12/16 03:08:08

	       Update driver version to 1.3.0.ALPHA4

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#94 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#19 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#22 edit

Change 1772 by scottl@scottl-belfalas-template on 2002/12/16 02:43:36

	ahd_linux_fallback can't aquire the ahd lock since it might be
	called from the completion handler.  Create a wrapper called
	ahd_linux_dv_fallback that aquires and releases the ahd lock so
	that is can be called from the DV code and still satisfy it's locking
	needs.
	Move the error stat code into ahd_linux_queue_cmd_complete so it
	can catch more error conditions.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#98 edit

Change 1771 by scottl@scottl-belfalas-template on 2002/12/16 02:39:22

	aic79xx_proc.c:
		Add a newline when printing the renegotiation pending message.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_proc.c#11 edit

Change 1770 by scottl@scottl-belfalas-template on 2002/12/15 23:38:06

	aic79xx_osm.c:
		Don't grab the ahd lock when updating error stats since
		it's already held.
		When deciding to do a fallback because of an error, don't
		alias the existing devinfo struct with a new one.  Why
		the compiler didn't catch this is beyond me.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#97 edit

Change 1769 by scottl@scottl-hobbiton-0b47 on 2002/12/15 22:24:16

	Regen firmware

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#52 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#33 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#53 edit

Change 1768 by scottl@scottl-hobbiton-0b47 on 2002/12/15 22:24:02

	aic79xx_osm.c:
	aic79xx_osm.h:
		Switch to a bucket-based method of counting the number off
		good commands in between bad ones.  Use only a single bucket
		right now for simplicity, though this can grow in the future.
		This also removes the stats timer.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#96 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#93 edit

Change 1767 by scottl@scottl-hobbiton-0b47 on 2002/12/15 21:23:38

	aic79xx_osm.h:
		Move the errors_detected field to the target structure, and
		add new_errors_detected field for doing stats decay.
	
	aic79xx_osm.c:
		If a transmission error is detected, increment the
		new_errors_detected counter.  If it's passed the threshold,
		call for a speed fallback.
		Update the errors_detected field with new_errors_detected and
		reset new_errors_detected on every stats timeout call.
	
	aic79xx_proc.c:
		Display the per-target errors detected field.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#95 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#92 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_proc.c#10 edit

Change 1766 by gibbs@aslan on 2002/12/15 19:32:13

	Add interrupt coalessing hooks.
	
	aic79xx.c:
		Keep a copy of the hs_mailbox in our softc so that
		we can perform read/modify/write operations on the
		hs_mailbox without having to pause the sequencer to
		read the last written value.  Use the ENINT_COALESS
		flag in the hs_mailbox to toggle interrupt coalessing.
	
		Add entrypoints for enabling interrupt coalessing and
		setting both a timeout (how long to wait for commands
		to be coalessed) and a maximum commands to coaless value. 
	
		In ahd_pause_and_flushwork() only return one selections
		are safely disabled.  We now also flush the two sequencer
		lists of completed commands.
	
	aic79xx.h:
		Add coalessing and HS_MAILBOX fields.
	
	aic79xx.reg:
		Correct register addresses related to the software timer.
	
		Add constants paramaterizing the software timer.
	
		Add scratch ram locations for storing interrupt coalessing
		tunables.
	
	aic79xx.seq:
		Use the software timer and a commands completed count to
		implement interrupt coalessing.  The command complete is
		deferred until either the maximum command threshold or a
		timer since the first command completed since the last
		completion expires.
	
		Move the test for the cfg4istat interrupt up an instruction
		to hopefully close a race between the next outgoing selection
		and our disabling of selections.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#144 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#77 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#57 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#75 edit

Change 1765 by gibbs@aslan on 2002/12/15 17:48:29

	aicasm_gram.y:
		Allow constants to be complex expressions so long
		as those expressions can be fully evaluated during
		assembly.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#28 edit

Change 1764 by scottl@scottl-hobbiton-0b47 on 2002/12/13 18:09:34

	aic79xx_osm.c:
	aic79xx_osm.h:
		Start of runtime fallback and interrupt caolescing stat
		gathering.  Run ahd_linux_stats_update() every
		AHD_LINUX_STATS_INTERVAL period.  Consense the packetized
		and non-packetized autosense code and start some logic to
		figure out what to do with the sense information.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#94 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#91 edit

Change 1762 by gibbs@bitkeeper-linux-2.5 on 2002/12/13 13:08:43

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Remove *slave_alloc declarations as we don't need or
		export this entry point.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#93 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#161 edit

Change 1761 by gibbs@bitkeeper-linux-2.4 on 2002/12/12 14:31:11

	aiclib.h:
		Add aic_sector_div macro.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.h#4 edit

Change 1760 by gibbs@bitkeeper-linux-2.4 on 2002/12/12 14:30:40

	aic79xx_osm.h:
	aic7xxx_osm.h:
		Complete adjustment for host template changes.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#90 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#109 edit

Change 1759 by gibbs@bitkeeper-linux-2.5 on 2002/12/12 14:25:19

	aic79xx_osm.h:
		Remove a stray reference to aic79xx_host.h.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#89 edit

Change 1754 by gibbs@bitkeeper-linux-2.4 on 2002/12/12 11:45:59

	aic79xx_host.h:
	aic7xxx_host.h:
	aic79xx_osm.c:
	aic7xxx_osm.c:
		Eliminate separate Linux host template files and move
		all host template entry ponts to one section of the Linux
		osm.c file.
	
	aic79xx_osm.c:
	aic7xxx_osm.c:
		Add support for larger disks under 2.5.X.
	
	Changes prodded by: Christoph Hellwig <hch@sgi.com>

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_host.h#14 delete
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#92 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#18 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_host.h#16 delete
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#160 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#41 edit

Change 1751 by scottl@scottl-template on 2002/12/10 21:41:30

	       Update driver version to 6.2.23

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#108 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/aic7xxx.spec#9 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/install.sh#12 edit

Change 1750 by gibbs@bitkeeper-linux-2.4 on 2002/12/10 20:51:23

	aic79xx_host.h:
	aic7xxx_host.h:
		Set single_sg_okay for RH AS 2.1 too.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_host.h#13 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_host.h#15 edit

Change 1749 by gibbs@bitkeeper-linux-2.4 on 2002/12/10 20:45:35

	aic79xx_host.h:
	aic7xxx_host.h:
		Use CONFIG_HIGHIO as the gating define for whether
		the highmem_io host template field is present.  Also
		assume that if the kernel version is less than 2.4.18,
		then we must be under RedHat and need to call this field
		can_dma_32.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_host.h#12 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_host.h#14 edit

Change 1748 by scottl@scottl-template on 2002/12/10 19:54:55

	       Update driver version to 1.3.0.ALPHA3

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#88 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#18 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#20 edit

Change 1747 by gibbs@bitkeeper-linux-2.4 on 2002/12/10 18:49:21

	aic79xx_host.h:
	aic7xxx_host.h:
		Enable the highmem_io option on kernels with the
		new highmem bouncing code.
	
	aic79xx_osm.c:
	aic7xxx_osm.c:
		Fix compilation error in the non-debug enabled case.
	
	aic7xxx_osm.c:
		Remove leftover #if 0'd code from DV merge.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_host.h#11 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#91 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_host.h#13 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#159 edit

Change 1746 by gibbs@bitkeeper-linux-2.5 on 2002/12/10 12:05:15

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Disable the shutdown hook for 2.5.X since it is called
		to early to be useful.  Some other strategy will need to
		be found.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#90 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#158 edit

Change 1745 by gibbs@bitkeeper-linux-2.5 on 2002/12/09 16:29:02

	aic79xx_host.h:
	aic79xx_osm.c:
	aic79xx_osm_pci.c
	aic7xxx_host.h:
	aic7xxx_osm.c:
	aic7xxx_osm_pci.c:
		Conform to latest 2.5.X API changes.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_host.h#10 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#89 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#17 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_host.h#12 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#157 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#40 edit

Change 1743 by gibbs@bitkeeper-linux-2.4 on 2002/12/09 15:16:31

	aic79xx.c:
		Limit the syncrate after all option conformance
		changes have taken place in ahd_devlimited_syncrate.
		Changes in options may change the final syncrate we
		accept.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#143 edit

Change 1741 by gibbs@bitkeeper-linux-2.4 on 2002/12/09 14:11:44

	Makefile:
		Turn off -g.

Affected files ...

... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Makefile#10 edit

Change 1740 by scottl@scottl-template on 2002/12/09 10:15:50

	       Update driver version to 6.2.22

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#107 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/aic7xxx.spec#8 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/install.sh#11 edit

Change 1737 by scottl@scottl-template on 2002/12/06 16:14:24

	       Update driver version to 1.3.0.ALPHA2

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#87 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#17 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#19 edit

Change 1736 by gibbs@overdrive on 2002/12/06 16:04:51

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#51 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#32 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#52 edit

Change 1735 by gibbs@bitkeeper-linux-2.4 on 2002/12/06 16:03:54

	aic79xx.h:
		Use consistent names for AH?_ASYNC_XFER_PERIOD.
	
	aic79xx.c:
	aic79xx_proc.c:
		Print out IU, QAS, and RTI features when showing
		transfer options.
	
	aic79xx.c:
		Save and restore the NEGOADDR address when setting
		new transfer settings.  The sequencer performs lookups
		in the negotiation table too and it expects NEGOADDR
		to remain consistent across pause/unpause sessions.
	
		Consistently use "offset" instead of "period" to determine
		if we are running sync or not.
	
		Add a SHOW_MESSAGES diagnostic for when we assert ATN
		during message processing.
	
	aic79xx_osm.c:
	aic7xxx_osm.c:
		In ah?_devlimited_syncrate enforce that we can never
		attempt DT transfers if we are narrow. 
	
		Remove the ALLOW_MEMIO config option.
	
		Modify ah?_linux_filter_inquiry to assume that the
		inquiry buffer is large enough and has been setup
		correctly (i.e. memset to 0 prior to command issue)
		so that range checks are unecessary.
	
		Remove comments about the need to perform short inquiry
		requests.  The code does this now.
	
		Split out the bottom half handling of DV inquiry results
		to make the code clearer.
	
		Re-arrange the DV state machine so that:
	
		o REB descriptor fetching is performed ASYNC so we
		  don't confuse a failure with the need to fallback.
		o Devices using Level 2 DV don't bother with Level 1
		  DV.
		o REB collisions are retried after a delay randomized
		  by our ID on the bus.
		o Level 2 DV is only attempted on devices that support
		  DT transfers.
	
		Fix ah?_linux_fallback to always favor the fastest
		speed during fallback and to favor sync over async speeds.
	
		Don't let a target reponding to a PPR message with 0
		options set fool us into falling back to far.  We still
		must try to negotiate without using PPR to get by some
		expanders.		
	
		Use the SCB_SILENT flag on DV commands.
		with 0 PPR options set
	
		Fix large inquiry size calculation.  It was off by one.
		We need to add 5 and not 4.
	
	aic79xx_osm_pci.c:
		Tell the user that our failure of the MMAP test is non
		fatal.  We're just dropping back to PIO.
	
	aiclib.c:
	aiclib.h:
		Add flags for a randomized delay in response to an error.
	
		Include table entries for REB collisions.
	
		Add the proper response codes for sense codes indicating
		inquiry data has changed.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#142 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#76 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#103 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#66 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#88 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#86 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#16 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_proc.c#9 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#156 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#106 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#39 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.c#4 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.h#3 edit

Change 1734 by gibbs@bitkeeper-linux-2.4 on 2002/12/06 15:49:37

	Config.in:
		With the advent of our command line option and the
		new memory mapped register test, there is no need
		for a kernel compile time option to allow memory
		mapped I/O.  Remove it.

Affected files ...

... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Config.in#10 edit

Change 1733 by gibbs@bitkeeper-linux-2.4 on 2002/12/06 15:31:31

	aic79xx.seq:
		Correct ignore wide residue processing check for
		a wide negotiation being in effect.  We must be
		in the SCSI register window in order to access the
		negotiation table.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#74 edit

Change 1732 by gibbs@aslan on 2002/12/06 15:14:01

	aicasm_gram.y:
		Add two missing ';'s that for some reason yacc/bison
		never complained about as a syntax error.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#27 edit

Change 1730 by cde@haywire on 2002/12/05 17:55:31

	Add AHD_DV_STATE_INQ_SHORT_ASYNC to probe inquiry buff len
	<enter description here>

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#87 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#85 edit

Change 1729 by gibbs@aslan on 2002/12/05 17:23:45

	aic7xxx.h:
		AHD -> AHC.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.h#65 edit

Change 1728 by gibbs@aslan on 2002/12/05 17:21:45

	aic79xx.c:
	aic79xx.h:
	aic7xxx.c:
	aic7xxx.h:
		Cleanup usage of the SCB_SILENT flag by using
		a new macro SCB_IS_SILENT(scb).
	
		Apply the silent treatment to outgoing LQ CRC
		errors.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#141 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#75 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#102 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#64 edit

Change 1727 by gibbs@aslan on 2002/12/05 17:01:15

	aic79xx.c
	aic7xxx.c:
	aic79xx.h:
	aic7xxx.h:
		Implement the SCB_SILENT flag.  This is useful for
		hushing up the driver during DV or other operations
		that we expect to cause transmission errors.  The
		messages will still print if the SHOW_MASKED_ERRORS
		debug option is enabled.
	
	aic7xxx_inline.h:
	aic7xxx_pci.c:
		Implement ahc_[in|out][w|l|q].  This removes the need
		for manual 'or and shift" type operations through out
		the driver.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#140 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#74 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#101 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#63 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_inline.h#39 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#54 edit

Change 1726 by gibbs@overdrive on 2002/12/04 17:33:18

	Regenerate Linux firmware

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#20 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg_print.c#7 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#21 edit

Change 1725 by gibbs@aslan on 2002/12/04 17:32:26

	aic7xxx.reg:
		Add a definition for MAX_OFFSET.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.reg#36 edit

Change 1724 by gibbs@overdrive on 2002/12/04 16:35:11

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#50 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#31 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#51 edit

Change 1723 by gibbs@aslan on 2002/12/04 16:34:34

	aic79xx.seq:
		The sequencer downloading code assumes that all jump
		labels are acurate in relation to a fully compiled
		sequencer program (all patches downloaded).  Correct
		a few occurances of a relative jump across a macro
		that ended up jumping us into the last instruction
		of the macro.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#73 edit

Change 1722 by scottl@scottl-via-freebsd on 2002/12/04 15:40:08

	ahd_pci.c:
		Add a newline to the MEMIO printf.
	
	aic79xx_pci.c:
		Set the mode correctly for writing to SRAM_BASE in the MEMIO
		test.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#60 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/ahd_pci.c#11 edit

Change 1721 by scottl@scottl-junior-freebsd on 2002/12/04 14:49:34

	aic79xx_pci.c:
		Use SRAM and the 0xaa55 pattern for the MEMIO test.
	
	ahd_pci.c:
		Go along with ahc_pci.c and retrieve the allow_memio hint
		from the resource manager and act on it.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#59 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/ahd_pci.c#10 edit

Change 1719 by gibbs@bitkeeper-linux-2.4 on 2002/12/03 17:04:22

	aic79xx_pci.c:
		Don't attempt to set reserved bits in memio test.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#58 edit

Change 1718 by gibbs@overdrive on 2002/12/03 16:16:46

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#49 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#30 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#50 edit

Change 1717 by gibbs@scottl-via-freebsd on 2002/12/03 15:29:57

	aic79xx_pci.c:
		Use the TYPEPTR register as a base for our
		memory mapped I/O test.  The Rev B. will allow
		multi-byte access to Scratch Ram, so it is not
		a good test of write-combining or other bad
		behavior.
	
		User CLRPCIINT and CLRSPLTINT in their respective
		handlers.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#57 edit

Change 1716 by gibbs@scottl-via-freebsd on 2002/12/03 15:27:24

	aic79xx.reg:
		Correct the location of the TARGPCISTAT register.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.reg#56 edit

Change 1715 by gibbs@aslan on 2002/12/03 10:34:23

	aic79xx_pci.c:
		Revamp memory mapped I/O test to match the algorithm
		used in the aic7xxx driver.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#56 edit

Change 1714 by scottl@scottl-via-freebsd on 2002/12/02 19:12:42

	aic7xxx_pci.c:
		In the memio test, clear the FAILDIS bit of the SEQCTL
		before running the tests so that PCI errors will be
		flagged.
	
		Write only 4 bytes to the SRAM to prevent VIA chipsets
		from generating a burst transaction on the bus.
	
		Clear the PCIR_STATUS register and restore the SEQCTL
		register before exiting.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#53 edit

Change 1713 by gibbs@aslan on 2002/12/02 13:04:29

	aic79xx_pci.c:
		Properly report the aic7901A as an aic7901A.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#55 edit

Change 1710 by scottl@scottl-junior-freebsd on 2002/11/27 02:05:18

	Fix a spelling mistake and a whitespace goof.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#52 edit

Change 1709 by scottl@scottl-junior-freebsd on 2002/11/26 22:12:00

	Strip down the $FreeBSD$

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_insformat.h#11 edit

Change 1708 by scottl@scottl-junior-freebsd on 2002/11/26 21:56:03

	Revert whitespace changes in ahc_syncrates[] to reduce diffs.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#100 edit

Change 1699 by gibbs@bitkeeper-linux-2.4 on 2002/11/20 14:14:13

	aic79xx_osm_pci.c:
	aic7xxx_osm_pci.c:
		Make use of the new Core PCI routine for testing memory
		mapped register access.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#15 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#38 edit

Change 1698 by gibbs@bitkeeper-linux-2.4 on 2002/11/20 14:13:40

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Make the "ALLOW_MEMIO" config option actually work for
		the "disabled" case.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#86 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#155 edit

Change 1697 by gibbs@bitkeeper-linux-2.4 on 2002/11/20 14:12:43

	aic79xx.h:
	aic79xx_pci.c:
	aic7xxx.h:
	aic7xxx_pci.c:
		Add a routine for testing memory mapped register access.
		This will hopefully detect things like buggy via chipsets
		so that the OSM can fallback to using I/O mapped access
		when memory mapped I/O simply will not work.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#73 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#54 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#62 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#51 edit

Change 1696 by gibbs@bitkeeper-linux-2.5 on 2002/11/19 11:43:33

	aiclib.h:
		Don't include the definition for REPORT_LUNS.  It conflicts
		with the native Linux definition.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.h#2 edit

Change 1695 by scottl@scottl-template on 2002/11/18 16:45:04

	       Update driver version to 1.3.0.ALPHA1

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#84 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#16 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#18 edit

Change 1690 by scottl@scottl-template on 2002/11/14 18:31:41

	Fix type from previous commit

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#154 edit

Change 1689 by scottl@scottl-template on 2002/11/14 18:26:58

	       Update driver version to 6.2.21

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#105 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/aic7xxx.spec#7 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/install.sh#10 edit

Change 1688 by scottl@scottl-template on 2002/11/14 17:38:10

	       Update driver version to 1.2.0

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#83 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#14 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#17 edit

Change 1687 by scottl@scottl-template on 2002/11/14 17:36:51

	Remove the previous change for falling back in narrow.  It doesn't
	seem to work.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#85 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#153 edit

Change 1686 by scottl@scottl-template on 2002/11/14 12:40:42

	       Update driver version to 1.1.14

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#82 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#13 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#16 edit

Change 1685 by scottl@scottl-template on 2002/11/14 12:40:17

	aic79xx_osm.c
	aic7xxx_osm.c
		Add a minimum bus settle delay after doing a bus reset from
		the DV timeout handler.
	
		Limit the max period allowed for narrow when figuring out
		the narrow fallback speed.
	
	aic7xxx.h
		Add AHD_ULTRA2_XFER_PERIOD for narrow fallback calculations

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.h#61 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#84 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#152 edit

Change 1683 by scottl@scottl-template on 2002/11/13 20:49:54

	       Update driver version to 1.1.13

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#81 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#12 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#15 edit

Change 1680 by gibbs@vas2209a on 2002/11/13 19:08:38

	aic7xxx_osm.c:
		Use ahc_set_tags rather than ahc_platform_set_tags so
		that the core can be appraised of any tag type or depth
		changes.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#151 edit

Change 1679 by gibbs@vas2209a on 2002/11/13 19:03:23

	aic7xxx_osm.c:
		Add a back in a missing ahc_done_unlock() that was
		lost in the last change.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#150 edit

Change 1678 by gibbs@bitkeeper-linux-2.5 on 2002/11/13 18:26:28

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Requeue deferred command completions so that when the
		timer does expire the entries are actually sent. <sigh>

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#83 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#149 edit

Change 1676 by gibbs@bitkeeper-linux-2.5 on 2002/11/13 16:26:07

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Move a FALLTHROUGH label to the correct
		location in the code.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#82 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#148 edit

Change 1675 by gibbs@vas2209a on 2002/11/13 15:43:19

	aic79xx.c:
		Set WIDERESEN for Rev B which ensures that an
		expected wide residue does not prevent the
		FIFO from reporting FIFOEMP.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#139 edit

Change 1674 by gibbs@vas2209a on 2002/11/13 14:27:15

	aic79xx_host.h:
	aic79xx_osm.c:
	aic7xxx_osm.c:
		Correct a few minor compile issues that fell out of
		the port to 2.5.X.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_host.h#9 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#81 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#147 edit

Change 1673 by gibbs@bitkeeper-linux-2.5 on 2002/11/13 13:43:15

	aic79xx_host.h:
	aic79xx_osm.c:
	aic79xx_osm.h:
	aic7xxx_host.h:
	aic7xxx_osm.c:
	aic7xxx_osm.h:
		Complete the port to Linux 2.5.X.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_host.h#8 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#80 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#80 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_host.h#11 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#146 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#104 edit

Change 1672 by gibbs@bitkeeper-linux-2.4 on 2002/11/13 13:02:15

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Remove fallback from the Read Echo Buffer Descriptor
		DV state.  This avoids issues with tape drives that
		just hang if you issue the command.  We should really
		be issuing the command async, but that is too complicated
		a fix for PH1.2.  Defer that fix to PH1.3.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#79 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#145 edit

Change 1671 by gibbs@aslan on 2002/11/13 12:10:23

	aic79xx.c:
		Correct code that restore the STACK.  It was
		always placing a 0 in the high byte of the stack
		address.
	
	aic7xxx.c:
		Remove unecessary restoration of the STACK for older
		chips.
	
	aic7xxx.h:
	aic79xx.h:
		Collapse SCB flag entries so they are bit contiguous.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#138 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#72 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#99 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#60 edit

Change 1670 by gibbs@bitkeeper-linux-2.4 on 2002/11/13 11:46:51

	aic79xx_osm.c:
	aic7xxx_osm.c:
		To avoid stack explosion in the mid-layer, only complete
		AH?_LINUX_MAX_RETURNED_ERRORS commands that have errors
		at a time.  Any deferred entries will be returned via
		a timer that runs the queue.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#78 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#144 edit

Change 1669 by gibbs@vas2209a on 2002/11/13 00:14:42

	aic79xx_osm.c:
	aic79xx_osm.h:
	aic7xxx_osm.c:
	aic7xxx_osm.h:
		Don't allow the eh_sem to be up'ed twice in the
		case of the eh timer expiring and the command completing
		due to a future recovery action such as a bus reset.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#77 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#79 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#143 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#103 edit

Change 1668 by gibbs@vas2209a on 2002/11/13 00:01:03

	aic79xx.c:
		Add DFFSTAT in mode 3 to ahd_dump_card_state().

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#137 edit

Change 1667 by gibbs@overdrive on 2002/11/12 23:57:48

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#48 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#29 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#49 edit

Change 1666 by gibbs@aslan on 2002/11/12 23:55:24

	aic79xx.reg:
	aic79xx.seq:
		Workaround Rev B issue with CURRFIFO_0 having the
		same value in "enhanced mode" as "standard mode"
		for "writes".  Reads of the register behave as
		expected. <sigh>

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.reg#55 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#72 edit

Change 1662 by gibbs@overdrive on 2002/11/12 14:59:39

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#47 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#28 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#48 edit

Change 1661 by gibbs@vas2209a on 2002/11/12 14:58:23

	aicasm_gram.y:
		Use a direct move from allzeros to emulate a
		mvi of 0.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#26 edit

Change 1660 by gibbs@vas2209a on 2002/11/12 10:33:25

	aic7xxx.h:
		Add a missing typedef.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.h#59 edit

Change 1659 by gibbs@overdrive on 2002/11/11 23:37:31

	Regenerate Linux Firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#46 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#27 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#47 edit

Change 1658 by gibbs@overdrive on 2002/11/11 23:35:30

	aic79xx_pci.c:
		Set the PREQDIS bit in DEVCONFIG1 for the B.  The
		bit is misnamed, but seems to disable a work-around 
		that breaks on the B on PCI busses.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#53 edit

Change 1657 by gibbs@overdrive on 2002/11/11 23:34:43

	aic79xx.seq:
		Return to the SCSI mode prior to re-allocating a FIFO.
		The alloc-FIFO routine assume we are in the SCSI mode.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#71 edit

Change 1656 by gibbs@bitkeeper-linux-2.4 on 2002/11/11 15:37:54

	aic79xx.c:
		Printout the SAVED_MODE scratch ram location in ahd_dump_card_state.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#136 edit

Change 1655 by gibbs@bitkeeper-linux-2.4 on 2002/11/11 14:22:01

	aic79xx_osm.c:
	aic79xx_osm.h
	aic7xxx_osm.c:
	aic7xxx_osm.h
		Add a timer for deferred running of the completion
		queue.  We use this to return commands back to the OS
		when our queue is frozen that happen to arrive before
		Linux sees that our host queue is blocked.  This avoids
		a deadlock issue that occurs should we attempt to simply
		scsi_done the command immediately.  This strategy also
		guarantees that the commands are returned almost imediately
		instead of having to wait for either a DV command or simq
		release to occur.
	
		Add the ability to reset a command's timeout from within
		the core.  We use this to give RequestSense operations
		a new timer.
	
		Always perform DV thread operations while our ah?_lock
		is held.
	
	aic79xx.c:
	aic7xxx.c:
		Make use of the new ah?_scb_timer_reset() api.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#135 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#98 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#76 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#78 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#142 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#102 edit

Change 1654 by scottl@scottl-belfalas-rh72as on 2002/11/08 19:15:45

	aic79xx_osm.c:
		Remove unused variable.
	
		Move ahd_linux_thread_run_complete_queue() to its
		proper location in the file.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#75 edit

Change 1653 by scottl@scottl-belfalas-rh72as on 2002/11/08 19:10:04

	aic79xx_osm.c:
		Fix deadlock in ahd_linux_queue() when we want to
		return a command immediately to the system because
		our queue is blocked.  We now defer the return of
		the command until either the simq is released or
		the dv thread has an oportunity to flush the queue.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#74 edit

Change 1652 by scottl@scottl-template on 2002/11/07 23:34:47

	       Update driver version to 6.2.20

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#101 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/aic7xxx.spec#6 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/install.sh#8 edit

Change 1650 by gibbs@aslan on 2002/11/07 13:55:31

	aic79xx.c:
		Avoid infinite loop in restoration of STACK contents
		in ahd_dump_card_state().  Our interrator must be
		signed.
	
	aic79xx.c:
	aic7xxx.c:
		Remove a diagnostic printf.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#134 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#97 edit

Change 1649 by gibbs@bitkeeper-linux-2.4 on 2002/11/07 13:33:07

	aic79xx.c:
		Workaround printf format and integer sizing issues.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#133 edit

Change 1648 by gibbs@bitkeeper-linux-2.4 on 2002/11/07 13:23:23

	aic79xx.c:
		Remove extraineous include of stdint.h.  The OSM
		header file should be doing this.
	
		Remove unused variable warnings for debuging code.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#132 edit

Change 1647 by gibbs@bitkeeper-linux-2.4 on 2002/11/07 13:19:35

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Mark devices as "configured" once the OS calls
		select queue_depths.  This is required now that we
		are no longer sniffing all inquiry cmds that the
		OS performs.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#73 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#141 edit

Change 1646 by scottl@scottl-template on 2002/11/06 23:07:03

	       Update driver version to 1.1.12

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#131 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#77 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#11 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#12 edit

Change 1645 by scottl@scottl-template on 2002/11/06 23:05:33

	Follow the aic79xx driver and extend the timeout amount when
	debug printing is enabled.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#140 edit

Change 1644 by gibbs@bitkeeper-linux-2.4 on 2002/11/06 11:03:48

	aic79xx_osm.c:
		Be even more pessimistic about how long negotiation
		messages take by bumping up the DV timeout a whole
		1 second should negotiation debugging be enabled.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#72 edit

Change 1643 by scottl@scottl-template on 2002/11/05 23:40:18

	       Update driver version to 6.2.19

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#100 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/aic7xxx.spec#5 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/install.sh#7 edit

Change 1642 by scottl@scottl-template on 2002/11/05 17:58:47

	       Update driver version to 1.1.11

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#76 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#10 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#11 edit

Change 1641 by gibbs@bitkeeper-linux-2.4 on 2002/11/05 16:33:24

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Not all Linux kernel versions honor the return value
		from the queue_command driver entry point.  To deal with
		these older kernels, always return "rejected" commands
		via the scsi_done handler.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#71 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#139 edit

Change 1640 by gibbs@bitkeeper-linux-2.4 on 2002/11/05 15:33:08

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Avoid taking the io_request lock twice.  This is a
		regression from our port to 2.5.X.
	
	aic79xx_osm.c:
		Put some more diagnostics under AHD_SHOW_RECOVERY.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#70 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#138 edit

Change 1639 by gibbs@aslan on 2002/11/05 13:13:20

	aic79xx.c:
	aic79xx.h:
	aic7xxx.c:
	aic7xxx.h:
		Save and restore stack contents during diagnostics.
		Some chip variants overwrite stale entries on a 
		stack "pop".
	
		Don't use 0 to probe the stack depth.  0 is the typical
		value used to backfill the stack if entries are overwritten
		on a "pop".
	
	aic79xx.c:
	aic79xx.h:
		Add the AHD_SHOW_RECOVERY debug option and use it to
		control some diagnostic messages related to error recovery.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#130 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#71 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#96 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#58 edit

Change 1638 by scottl@scottl-template on 2002/11/01 18:16:08

	       Update driver version to 1.1.10

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#75 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#9 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#10 edit

Change 1637 by gibbs@overdrive on 2002/11/01 17:17:04

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#45 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#26 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#46 edit

Change 1636 by gibbs@bitkeeper-linux-2.4 on 2002/11/01 17:14:53

	cam.h:
		Add CAM_DEVQ_FROZEN to the cam_status enum.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/cam.h#15 edit

Change 1635 by gibbs@bitkeeper-linux-2.4 on 2002/11/01 17:14:34

	Make "empty_string" static so it can be included in both the
	aic7xxx and the aic79xx drivers.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.c#3 edit

Change 1634 by gibbs@bitkeeper-linux-2.4 on 2002/11/01 17:14:08

	aic7xxx.c:
	aic7xxx.h:
		Just for safety, have the aic7xxx driver probe
		the stack depth too.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#95 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#57 edit

Change 1633 by gibbs@bitkeeper-linux-2.4 on 2002/11/01 17:13:33

	aic79xx_osm.c:
		Correct a compile error.  The updated handling of
		CAM_CMD_TIMEOUT was placed in the wrong routine.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#69 edit

Change 1632 by gibbs@bitkeeper-linux-2.4 on 2002/11/01 17:12:22

	aic79xx.seq:
		Revert de-optimization in the fifo polling loop.
		Our problem was caused by the larger stack size on
		Rev B.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#70 edit

Change 1631 by gibbs@bitkeeper-linux-2.4 on 2002/11/01 17:11:33

	aic79xx.c:
		Move ahd_probe_stack_size() so it matches the location
		of its declaration.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#129 edit

Change 1630 by gibbs@bitkeeper-linux-2.4 on 2002/11/01 16:19:58

	aic79xx_osm.c:
	aic79xx_osm.h:
	aic7xxx_osm.c:
	aic7xxx_osm.h:
		Actually freeze the device queue in response to a request
		to do so from the Core.  This closes a race in the case
		of things like QUEUE FULL or BUSY handling where the
		OSM may be able to queue additional commands prior to
		seeing the SCB that should have frozen or otherwise altered
		the execution queue.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#68 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#74 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#137 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#99 edit

Change 1629 by gibbs@overdrive on 2002/11/01 16:17:55

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#44 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#25 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#45 edit

Change 1628 by gibbs@aslan on 2002/11/01 16:11:16

	aic79xx.c:
	aic79xx.h:
	aic79xx.reg:
		Add a routine to dynamically determine the size
		of the sequencer stack.  It turns out that RevB
		has a 9 entry stack rather than the 8 entry stack
		of the A4.  Determining the stack depth programatically
		should protect us from any future changes in this area.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#128 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#70 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#54 edit

Change 1626 by scottl@scottl-template on 2002/10/31 16:38:49

	       Update driver version to 1.1.9

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#73 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#8 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#9 edit

Change 1625 by scottl@scottl-template on 2002/10/31 15:47:57

	       Update driver version to 6.2.18

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#98 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/aic7xxx.spec#4 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/install.sh#6 edit

Change 1623 by scottl@scottl-template on 2002/10/31 14:47:46

	Define SCSI_NOSENSE_STRINGS to elimiate the asc/ascq description
	strings.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.c#2 edit

Change 1622 by scottl@scottl-template on 2002/10/31 14:44:19

	Don't lock the io_request_lock until after calling
	ahd_linux_register_host().
	Release the ahd lock when calling kernel_thread()
	
	This fixes a deadlock when launching the DV thread in
	older 2.4 SMP kernels.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#136 edit

Change 1621 by scottl@scottl-template on 2002/10/31 14:17:54

	Don't lock the io_request_lock until after calling
	ahd_linux_register_host().
	Release the ahd lock when calling kernel_thread()
	
	This fixes a deadlock when launching the DV thread in
	older 2.4 kernels.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#67 edit

Change 1618 by scottl@scottl-template on 2002/10/30 19:48:52

	       Update driver version to 1.1.8

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#72 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/aic79xx.spec#7 edit
... //depot/linux_mod_devel/scsi.aic79xx/rpm/install.sh#8 edit

Change 1616 by scottl@scottl-template on 2002/10/30 19:05:51

	       Update driver version to 6.2.17

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#97 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/aic7xxx.spec#3 edit
... //depot/linux_mod_devel/scsi.aic7xxx/rpm/install.sh#3 edit

Change 1615 by gibbs@overdrive on 2002/10/30 18:35:23

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#43 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#24 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#44 edit

Change 1614 by gibbs@aslan on 2002/10/30 18:34:26

	aic79xx.seq:
		Rearrange idle_loop_service_fifo:  I have a hunch
		that the sequencer does not like the optimized version
		of this routine should we be paused at the start of
		a longjmp handler.  We now change this to look just
		as it did in PH 1.1.
	
		Clear the longjmp address of the p_data handler just
		after we call disable_ccsgen.  Otherwise the longjmp
		handler may not be deregistered until an extra call
		into the handler or a new handler is installed.  The
		first behavior might be dangerous if the FIFO is not
		active.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#69 edit

Change 1613 by gibbs@overdrive on 2002/10/30 16:52:10

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#42 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#23 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#43 edit

Change 1612 by gibbs@aslan on 2002/10/30 16:50:11

	aic79xx.seq:
		Test for SCSIPERR instead of relying on SCSIPHASE
		not setting on a SCSI parity error.  It seems that
		this is not the case and that we occassionally coast
		out of routines like phase_lock when a parity error
		is pending.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#68 edit

Change 1611 by gibbs@aslan on 2002/10/30 12:55:46

	aic7770.c:
		Add IDs for some Olivetti OEM aic7770 based cards.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7770.c#27 edit

Change 1610 by gibbs@bitkeeper-linux-2.4 on 2002/10/30 12:27:14

	aic7xxx.c:
		Don't disable ENBUSFREE when single stepping on
		a DT capable controller.  We cannot re-enable unexpected
		busfree detection, so we must clear BUSFREE on each
		step instead.
	
		Correct the lookup of the SCB ID in ahc_handle_proto_error.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#94 edit

Change 1609 by gibbs@aslan on 2002/10/30 12:25:51

	aic79xx.h:
		Remove redundant declaration of ahd_print_devinfo().

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#69 edit

Change 1608 by gibbs@bitkeeper-linux-2.4 on 2002/10/30 11:38:28

	aic7xxx_osm.c:
		Bring in DV state machine enhancements from the U320
		driver.
	
	aic79xx_osm.c:
		Remove a left over diagnostic.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#66 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#135 edit

Change 1607 by gibbs@bitkeeper-linux-2.4 on 2002/10/30 10:13:52

	Pull DV branch into the mainline.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#127 integrate
... //depot/aic7xxx/aic7xxx/aic79xx.h#68 integrate
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#39 integrate
... //depot/aic7xxx/aic7xxx/aic7xxx.c#93 integrate
... //depot/aic7xxx/aic7xxx/aic7xxx.h#56 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#65 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#71 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_proc.c#8 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#134 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#96 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_proc.c#23 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.c#1 branch
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aiclib.h#1 branch
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/cam.h#14 integrate

Change 1604 by gibbs@overdrive on 2002/10/29 18:59:13

	aic79xx_osm.c:
		Correct module description to properly identify the
		driver as AIC79XX.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#64 edit

Change 1597 by gibbs@overdrive on 2002/10/29 14:09:41

	aic79xx_osm_pci.c:
		Remove redundant check for PCI-X controller.  The bug
		flag should be enough.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#14 edit

Change 1596 by gibbs@overdrive on 2002/10/29 14:09:13

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#41 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#22 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#42 edit

Change 1592 by gibbs@aslan on 2002/10/29 11:05:58

	Implement work around for the Interrupt collission problem
	on the 7902B.
	
	aic79xx.c:
		When a sequencer interrupt occurs on the B, unpause
		the sequencer and allow it to clear SEQINTCODE with
		a second SEQINT prior to processing the "real" seqint.
		This clears SEQINTCODE without requiring an extra
		interrupt.
	
		Convert the SAW_HWERR sequencer interrupt into a
		call to ahd_handle_hwerrint().
	
	aic79xx.h:
		Add AHD_INTCOLLISION_BUG.
	
		Add NO_SEQINT, which is the special value that we
		use to initialize SEQINTCODE so that the host can
		tell if there is a real SEQINT pending.
	
	aic79xx.reg:
		Add SET_SEQINTCODE() macro to special case sequencer
		interrupt processing based on AHD_INTCOLLISION_BUG.
	
	aic79xx.seq
		Whenever the sequencer is restarted, insure that
		SEQINTCODE is properly initialized.
	
		Convert a non-zero ERROR status to a SAW_HWERR
		sequencer interrupt.
	
		Add set_seqint_work_around which will clear SEQINTCODE
		after every SEQINT.
	
		Use SET_SEQINTCODE throughout the firmware.
	
	aic79xx_inline.h:
		Use a read of HCNTRL to flush our write to CLRCMDCMPLT
		on the RevB.  This allows us to check to see if the sequencer
		is paused and to initiate the interrupt collision workaround
		without incuring an extra read.
	
	aic79xx_pci_c:
		Set AHD_INTCOLLISIONT_BUG for the Rev B.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#126 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#67 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#53 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#67 edit
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#38 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#52 edit

Change 1590 by gibbs@overdrive on 2002/10/28 18:12:32

	Regernerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#40 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#21 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#41 edit

Change 1588 by gibbs@aslan on 2002/10/28 14:39:15

	aic79xx_inline.h:
		Add our controller name to the front of our
		diagnostic "Setting Mode" messages.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#37 edit

Change 1587 by gibbs@aslan on 2002/10/28 14:38:45

	aic79xx.c:
	aic79xx.reg:
		Some 160 devices incorrectly accept 0xfe as a
		sync offset, but will overrun this value.  Limit
		to 0x7f for speeds lower than U320 which will
		avoid the persistent sync offset overruns.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#125 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#52 edit

Change 1574 by gibbs@overdrive on 2002/10/26 20:42:36

	aic7xxx_osm.c:
		Add "paused = TRUE" in ahc_queue_recovery_cmd which
		was lost in the conversion to use ahc_pause_and_flush_work().

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#133 edit

Change 1572 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/10/26 01:10:28

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#70 edit

Change 1570 by gibbs@aslan on 2002/10/25 23:53:19

	aic79xx_pci.c:
		Remove stray/random extra 7901A generic PCI
		table entry.  Also switch the correct 7901A
		generic entry to use ID_ALL_MASK since we
		can only differentiate the 7901A from the
		7902 by checking for a "type field" of 0xE.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#51 edit

Change 1565 by gibbs@overdrive on 2002/10/25 20:45:29

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#39 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#20 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#40 edit

Change 1564 by gibbs@aslan on 2002/10/25 20:44:25

	aic79xx.h:
		Add "feature" AHD_NEW_DFCNTRL_OPTS for SCSIENWRDIS.
	
	aic79xx.reg:
		Add the SCSNENWRDIS field and the PLLDELAY register
		definitions.
	
	aic79xx.seq:
		Use SCSIENWRDIS when setting PRELOADEN on all
		SG element writes save the first one on chips
		that support this feature so that SCSIEN does
		not get corrupted.
	
		Correct a bug in the legacy bitbucket handler.
		We must save and restore our mode pointer now
		that we can be using both FIFOs.
	
	aic79xx_pci.c:
		PREQDIS in DEVCONFIG1 went away after the A2.
		Remove all code that references this bit.  This
		is especially important since this bit was reused
		in the B for a different HW fix workaround.
	
		Properly set the AHD_NEW_IOCELL_OPTS and
		AHD_NEW_DFCNTRL_OPTS features for the B.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#66 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#51 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#66 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#50 edit

Change 1540 by gibbs@bitkeeper-linux-2.4 on 2002/10/23 12:53:14

	Make it possible for both the aic7xxx and the aic79xx driver
	to rely on scsi_all.c yet still be built into the same kernel.
	Since we can't use a module dependency to have a "library module",
	symbols are renamed and the code included in each driver.

Affected files ...

... //depot/aic7xxx-dv/aic7xxx/aic79xx.c#8 edit
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#9 edit
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#8 edit
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic79xx_proc.c#3 edit
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#30 edit
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#13 edit
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic7xxx_proc.c#3 edit
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/cam.c#2 delete
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/cam.h#4 edit
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/scsi_all.c#2 edit
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/scsi_all.h#2 edit
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Makefile#9 edit

Change 1538 by gibbs@aslan on 2002/10/22 21:45:34

	aic79xx.c:
		Modify use_ppr handling in ahd_build_transfer_message
		to match the aic7xxx driver.
	
	aic7xxx.c:
		Move a comment and remove a useless clearing of use_ppr.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#124 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#92 edit

Change 1537 by gibbs@aslan on 2002/10/22 21:38:02

	aic7xxx.c:
		Bring back "use_ppr".  We need to use_ppr anytime
		doppr is true or we have non-zero protocol options.
		The later case was not handled in the recent removal
		of use_ppr.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#91 edit

Change 1528 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/10/22 12:00:33

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#69 edit

Change 1526 by gibbs@bitkeeper-linux-2.4 on 2002/10/22 11:54:03

	Integrate from Head into aic7xxx-dv.

Affected files ...

... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#6 integrate
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#6 integrate
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#6 integrate
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#3 integrate
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic7xxx_reg_print.c#3 integrate
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Makefile#8 edit

Change 1525 by gibbs@overdrive on 2002/10/22 11:53:24

	Regerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#38 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#19 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#39 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#19 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg_print.c#6 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#20 edit

Change 1520 by gibbs@aslan on 2002/10/21 20:40:11

	aic7xxx.c:
		Add a newline to ahc_dump_card_state() output.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#90 edit

Change 1519 by gibbs@aslan on 2002/10/21 20:39:23

	aic7xxx.c:
		Update ahc_reg_print() to handle a NULL cur_col.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#89 edit

Change 1518 by gibbs@aslan on 2002/10/21 20:37:24

	aic7xxx.c:
		Add additional diagnostic output to ahc_dump_card_state(),
		and have it use the register pretty printing functions.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#88 edit

Change 1517 by gibbs@aslan on 2002/10/21 16:30:21

	aic7xxx.seq:
		Move data fifo CLRCHN to mesgin_rdptrs which is a safer
		location for doing this operation.  This also saves a
		sequencer instruction.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.seq#52 edit

Change 1516 by gibbs@aslan on 2002/10/21 16:18:49

	aic79xx.seq:
		Clarify a comment in the mesgin_rdptrs handler.
		We need to clear the data fifo for CMD retries too.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#65 edit

Change 1515 by gibbs@overdrive on 2002/10/21 16:06:12

	aic7xxx_osm.c:
		Adapt to conversion from IDENTIFY_SEEN to NO_IDENTIFIED.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#132 edit

Change 1514 by gibbs@aslan on 2002/10/21 15:58:42

	aic79xx.c:
		Move "false parity error due to REQ release glitch"
		workaround to the packetized busfree handler.  We
		now only look to see if this is the potential cause
		of the error if we have ruled out all other causes.
		Before, it might be possible for this workaround
		to trigger on "real" busfrees.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#123 edit

Change 1513 by gibbs@overdrive on 2002/10/21 15:53:19

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#37 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#18 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#38 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#18 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg_print.c#5 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#19 edit

Change 1512 by gibbs@aslan on 2002/10/21 15:51:41

	aic79xx.c:
	aic79xx.seq:
		Handle unexpected command phases in the protocol violation
		handler.  Right now we treat these just like data phase
		protocol violations.
	
	aic79xx.seq:
		Optimize out a few instructions by using a common label
		for protocol violations in mesgin and status phases.  One
		more instruction was removed by factoring out the status
		received check in the mesgin_complete handler.
	
	aic7xxx.c:
	aic7xxx.h:
	aic7xxx.reg:
	aic7xxx.seq:
		Bring in the protocol violation handler from the U320
		driver and replace the NO_IDENT sequencer interrupt code
		with the PROTO_VIOLATION code.  Support for this code
		required the following changes:
	
		SEQ_FLAGS:
			IDENTIFY_SEEN -> NOT_IDENTIFIED
			Added NO_CDB_SENT
	
		SCB_CONTROL:
			TARGET_SCB == STATUS_RCVD for initiator mode
	
		scb->flags:
			Added SCB_TARGET_SCB since we cannot rely on
			TARGET_SCB as a target/initiator differentiator
			due to it being overloaded in initiator mode to
			indicate that status has been received.
	
	aic7xxx.seq:
		Reset the FIFO whenever a short CDB transfer occurs
		so that the FIFO contents do not corrupt a future CDB
		transfer retry.
	
		Add support for catching the various protocol violations
		handled by ahc_handle_protocol_violation.
	
		Reformat some comments.
	
	aic7xxx_osm.c:
		Handle changes to SCB_CONTROL, scb->flags and SEQ_FLAGS.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#122 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#64 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#87 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#55 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.reg#35 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.seq#51 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic7xxx_osm.c#12 edit

Change 1511 by gibbs@overdrive on 2002/10/18 17:37:10

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#36 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#17 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#37 edit

Change 1509 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/10/18 17:33:40

	Remove the DV framework from aic79xx.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#63 edit

Change 1508 by scottl@scottl-template on 2002/10/18 15:27:23

	Update to 6.2.13

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#95 edit

Change 1505 by scottl@scottl-template on 2002/10/17 18:48:26

	Integrate from aic7xxx-dv branch.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#86 integrate
... //depot/aic7xxx/aic7xxx/aic7xxx.h#54 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#62 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#131 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#94 integrate

Change 1491 by gibbs@bitkeeper-linux-2.5 on 2002/10/15 18:51:15

	aic79xx.reg:
		Remove duplicate field.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.reg#50 edit

Change 1490 by gibbs@bitkeeper-linux-2.5 on 2002/10/15 18:44:45

	aic79xx.reg:
		Bring in Rev B SNAPSHOT and SLOWCRC bit fields from
		the DV branch.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.reg#49 integrate

Change 1488 by gibbs@bitkeeper-linux-2.5 on 2002/10/15 18:38:54

	README.aic79xx:
		Correct rd_strm section to match correct syntax.
	
		Add amplitude, precomp, and slewrate options.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/README.aic79xx#4 edit

Change 1487 by gibbs@bitkeeper-linux-2.5 on 2002/10/15 18:30:42

	aic79xx_osm.c:
	aic79xx_osm.h:
		Add code to set precomp, slewrate, and amplitude on
		a per-controller basis.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#61 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#68 edit

Change 1486 by gibbs@bitkeeper-linux-2.5 on 2002/10/15 18:30:16

	aic79xx.h:
	aic79xx_pci.c:
		SLEW -> SLEWRATE

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#65 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#49 edit

Change 1484 by gibbs@overdrive on 2002/10/15 17:00:52

	Regenerate Linux firmware and register definitions.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#35 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#16 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#36 edit

Change 1483 by gibbs@aslan on 2002/10/15 14:53:35

	Move IOCell paramters into softc and add a hook for the
	OSM to modify these as well as other settings prior to
	committing them to the chip.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#121 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#64 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#48 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#48 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.h#15 edit

Change 1482 by gibbs@bitkeeper-linux-2.5 on 2002/10/15 10:05:36

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Promote si.memsize to 64 bits pefore shifting by
		PAGE_SIZE so that the returned value is not truncated
		to 64GB.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#60 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#130 edit

Change 1481 by scottl@scottl-template on 2002/10/15 00:59:37

	Integrate debugging info nit from aic7xxx-dv

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#129 integrate

Change 1480 by scottl@scottl-template on 2002/10/15 00:57:33

	Update to version 6.2.12

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#93 edit

Change 1478 by scottl@scottl-template on 2002/10/15 00:22:14

	Integrate from the aic7xxx-dv branch

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.h#53 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#128 integrate

Change 1474 by scottl@scottl-template on 2002/10/14 10:57:29

	Integrate the aic7xxx dv work into head

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#85 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#127 integrate
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#92 edit

Change 1465 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/10/10 16:11:43

	Add three new insmod tunables for the IO Cell.  They let you control
	the slewrate, precomp, and amplitude.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#120 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#59 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#67 edit

Change 1462 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/10/09 21:49:56

	Add updated H2B identifiers

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#47 edit
... //depot/linux_mod_devel/scsi.aic79xx/dud/redhat/pcitable#2 edit

Change 1457 by gibbs@bitkeeper-linux-2.4 on 2002/10/09 15:56:51

	Integrate from aic7xxx -> aic7xxx_dv.

Affected files ...

... //depot/aic7xxx-dv/aic7xxx/aic79xx.c#3 integrate
... //depot/aic7xxx-dv/aic7xxx/aic79xx.reg#3 integrate
... //depot/aic7xxx-dv/aic7xxx/aic79xx.seq#3 integrate
... //depot/aic7xxx-dv/aic7xxx/aic79xx_pci.c#3 integrate
... //depot/aic7xxx-dv/aic7xxx/aic7xxx.c#2 integrate
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#2 integrate
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#3 integrate
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#3 integrate
... //depot/aic7xxx-dv/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Makefile#7 edit

Change 1455 by gibbs@bitkeeper-linux-2.4 on 2002/10/09 15:08:23

	aic7xxx.c:
		Only force a renegotiation on a selection timeout
		if the SCB was valid.  Doing otherwise may be dangerous
		as the connection was not valid for an unknown reason.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#84 edit

Change 1454 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/10/09 14:45:23

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#66 edit

Change 1453 by gibbs@overdrive on 2002/10/09 14:44:21

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#34 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#15 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#35 edit

Change 1452 by gibbs@aslan on 2002/10/09 14:43:31

	The double write workaround for CURRSCB is only required if
	abort pending is set.  Remove this work around and set the
	abort pending bug bit on the B at least until we have better
	confirmation that the double write is always safe.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#63 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#46 edit

Change 1450 by gibbs@overdrive on 2002/10/09 00:32:41

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#33 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#14 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#34 edit

Change 1449 by gibbs@aslan on 2002/10/09 00:31:44

	aic79xx.c:
		Enhance the packetized overrun handler to cover the
		case of a data phase for an SCB that is not active.
	
		Update the comment on how CRC errors should be handled
		in Harpoon2A and B.  The comment is still not fully
		accurate.  We'll need more input from the hardware developers
		before we can make the CRC handling really robust.
	
		Add diagnostics for unexpected busfrees that we take to
		mean a negotiation message has been rejected.
	
		Fix several bugs in the iocell option setting code.  For
		starters, the amplitude setting is in ANNEXCOL 6.  The
		amplitude should also be set regardless of connection
		speed.  The negotiation table is now updated in the
		chip reset code which occurs after the profile information
		is stored in our softc.  This avoids the problem of having
		the chip reset code clear the neg table after the profile
		code has written to it.  Lastly, only clear the negtable
		manually on chip reset if we are on rev A.
	
		Remove the redundant setting of the ABORTPENDING bit.
		I have yet to verify that aborts actually work on the B.
	
		Have ahd_qinfifo_requeue_tail() save and restore the
		current mode and operate in the command channel mode.
		ahd_qinfifo_count requires this mode and some of the
		latest callers to ahd_qinfifo_requeue_tail() are not
		already in the command channel mode.
	
		Allow register pretty printing with a NULL cur_column.
	
		Add a space in a register diagnostic and print out SIMODE0
		in ahd_dump_card_state().
	
	aic79xx.reg:
		Add a macro RESTORE_MODE that sets the current mode to
		the value stored in the register passed to it.
	
		Add the DFFBITBUCKET bit for packetized bitbucket.
	
		Correct the definition of AHD_ANNEXCOL_IOCELL_OPT1.
	
	aic79xx.seq:
		Clean up the structure of our idle loop.  This adds
		a few instructions since the idle loop has been broken
		into the following sub-routines that can be assembled
		into customized idle loops:
	
			idle_loop_gsfifo	- Service the Good Status FIFO
			idle_loop_service_fifos - Run any LONGJMP handlers
			idle_loop_cchan		- Run command channel operations
	
		One or more of these routines are now called from the
		main idle loop, the legacy idle loop, and the allocate_fifo
		routine.  This removes a bunch of duplicated code and hopefully
		clarifies the code flow.
	
		Optimize out a few instructions.
	
		Write to CURRSCB twice in a row since it seems that these
		writes are sometimes flakey.
	
		Use the MK_MESSAGE bit in SCB_CONTROL as our abort bit.
		We now set MK_MESSAGE on every SCB completion so that
		reselections to idle SCBs trigger an automatic abort.
	
		Now that the other FIFO may be active doing packetized
		things during a legacy connection, have the legacy
		idle loop use a LONGJMP handler and process LONGJMP
		handlers for both FIFOs.
	
		Have the CFG4OVERRUN handler use packetized bitbucket
		if it is available.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#119 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#47 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#62 edit

Change 1445 by gibbs@overdrive on 2002/10/05 00:10:28

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#32 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#13 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#33 edit

Change 1444 by gibbs@aslan on 2002/10/05 00:07:22

	aic79xx.c:
		Add 4 TRACEPOINT sequencer interrupts useful for debugging.
	
		Record busfree time prior to clearing any critical sections
		since we now clear any busfree interrupts while stepping.
	
		Add support for supressing unexpected busfree warnings
		when we reject a QAS request after delivering a CRC
		related message.
	
		Rev B hardware will not step with pending, pausing,
		sequencer interrupts.  Turn off the interrupt enables
		for all pausing interrupts save ENBUSFREE.  ENBUSFREE
		must not be disabled or we will lose the ability to
		detect unexpected busfree events until the start of
		the next connection.  Diagnostics have also been added
		to track the stepping process under the MISC debug category.
	
		Add CLROVERRUN to the list of interrupts cleared by
		ahd_clear_intstat().
	
		Update PPR message conformance rules.  RTI must be
		disabled for non-paced transfers.
	
		Don't apply RevA negtable corrections to the B.
	
		First pass at supporting RevB IOCELL settings.  Currently
		the settings for precomp are the same for Rev A and B,
		so they share code.  This will have to change if these
		numbers are adjusted further.  It may be possible to remove
		the RevA HP_BOARD options, but I still need to verify that
		with Brandon Aubrey.
	
		If a device rejects a PPR message after the full PPR
		message has been sent, assume it does not understand
		SPI-4 PPR options and negotiate without them.  This
		allows us to negotiate U160 with certain Fujitsu
		U160 drives.
	
		Use enhanced DFFSTAT CURRFIFO status and adjust code
		appropriately.
	
		CPQ->HP
	
		Set LQONOCHKOVER in LQOSCSCTL to avoid spurious LQO
		overrun conditions.
	
		Negotiate RTI if it is available.
	
	aic79xx.h:
		Add RTI and NEW_IOCELL_OPTS as AHD options enabled on
		the B.
	
		Document each ahd_bug entry in the enumeration for quick
		reference and add the AHD_LQOOVERRUN_BUG and
		AHD_PACED_NEGTABLE_BUG entries.
	
		CPQ-HP
	
		Add the expect QAS reject busfree flag in ahd_msg_flags.
	
	aic79xx.reg:
		Add four tracepoint sequencer interrupts.
	
		Modify CURRFIFO definition for Rev A backwards compatibility	
		while using Rev B enhanced mode.
	
		Add the LQOSCSCTL register.
	
		Correct spelling of CURRFIFODEF in SCSCHKN.
	
		Add new IOCELL option ANNEX column definitions.
	
		Update CCSGCTL to move of CCSGEN in Rev B.  This
		definition allows backwards compatibility, but may
		change should we decide to optimize code due to this
		change.
	
		Align QOUTFIFO_NEXT_ADDR on a 4 byte boundary since on
		the B, this is required of any location that will be used
		as the source for a block move to SCB/SGHADDR.
	
	aic79xx.seq:
		Hit CCSCBRESET after setting the target address in
		SCBHADDR to mirror what the CHIM sequencer does.  I
		don't believe this has any real effect but was a holdover
		from debugging command channel DMA operations up to
		the host on the B.
	
		Simplify the run down of the qoutfifo loop by rearranging
		it a bit.  We no longer special case loading first element.
	
		Allow non-pack transactions to use either FIFO without
		waiting for the other FIFO to clear on Rev B.
	
		Remove an unecessary clear of SHCNT[1] and SHCNT[2] in
		the embedded cdb transmission case.
	
		Do not rely on SCSIENACK being visible until at least one
		sequencer instruction after it is written.  While this
		is safe on RevA, the wait is required on RevB.
	
		Adapt to changes in the definition of CCSGCTL.
	
		Always perform aligned, 4byte block moves to SCB/SGHADDR.
		Single RMW operations are still okay too.
	
	aic79xx_pci.c:
		HP -> CPQ
	
		Rearrange IDs to better match which chips they use.
	
		Convert to uniform product description strings.
	
		Simplify 7901A setup function.
	
		Add the NONPACKFIFO_BUG and PACED_NEGTABLE_BUG entries
		for the A.
	
		Add rev B bugs and features.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#118 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#63 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#46 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#61 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#45 edit

Change 1441 by gibbs@overdrive on 2002/10/04 16:29:18

	Add missing "{}"s around diagnostic code so that status packet
	information is not printed unless the SHOW_SENSE debug flag is
	set.  The message is only printed if the driver is compiled with
	debug code enabled.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#117 edit

Change 1432 by gibbs@overdrive on 2002/10/02 15:12:35

	oder -> order.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/README.aic79xx#3 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/README.aic7xxx#2 edit

Change 1427 by gibbs@bitkeeper-linux-2.4 on 2002/10/01 18:56:39

	Have the Makefile do all the relative path including instead of
	putting this in all of the include directives in the Linux OSMs.
	This will make the module building framework happy on 8.0.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#58 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#65 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#126 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#91 edit
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Makefile#6 edit

Change 1425 by gibbs@aslan on 2002/10/01 14:45:04

	Add a space to the end of the ahc/ahd_print_devinfo routines
	so that it behaves as expected by the code that uses it.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#116 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#83 edit

Change 1424 by gibbs@bitkeeper-linux-2.4 on 2002/10/01 13:20:47

	If the initial bus reset is diabled, attempt to negotiate async
	rather than the fastest non-ppr rate below the user setting.  We
	will negotiate up to the user setting once inquiry information is
	available.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#57 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#125 edit

Change 1423 by gibbs@aslan on 2002/10/01 13:13:22

	aic79xx.c:
		Fix a style nit.
	
		Attempt to recover from a selection timeout that
		occurs with an invalid SCB.  This should never
		happen, but its best to try and keep the machine
		going.
	
		Force a renegotiation to a particular target after
		a selection timeout.  This handles the case of a
		temporary interruption in the cable that the target
		might notice and switch back to async without creating
		a unit attention condition.
	
		Add code to ignore busfree interrupts which are in
		fact parity errors resulting from a glitchy REQ
		release of the free running clock by a target transitioning
		to the bus free phase.  This code needs to be tested by
		FTL.  A diagnostic will be printed if the debugging code
		is enabled with the AHD_SHOW_MASKED_ERRORS bit set in
		the debugging bitmask.
	
		Remove a redundant setting of the mode in the busfree
		handler.
	
	aic79xx.c:
	aic79xx.h:
	aic7xxx.c:
	aic7xxx.h:
		Change ahc/ahd_upate_neg_request() to take a "negotiation
		type" enum that allows us to negotiate:
			o only if the goal and current parameters differ.
			o only if the goal is non-async
			o always - even if the negotiation will be for async.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#115 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#62 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#82 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#52 edit

Change 1422 by gibbs@aslan on 2002/09/30 17:09:13

	Don't panic (as a diagnostic to catch bugs) if we decided to
	force the renegotiation of async even if we believe we are
	already async.  This should allow us to negotiate async instead
	of the full user goal rate during startup if bus resets are disabled.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#114 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#81 edit

Change 1420 by gibbs@aslan on 2002/09/30 13:49:47

	Remove a left over '&' from the conversion to using our
	softc referenced seeprom store.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7770.c#26 edit

Change 1419 by gibbs@bitkeeper-linux-2.5 on 2002/09/27 16:44:04

	Add a missing pair of curly braces to a conditional debug
	statement.  This ensures that debug code doesn't trigger if
	it isn't enabled. <blush>

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#80 edit

Change 1418 by gibbs@bitkeeper-linux-2.5 on 2002/09/27 14:46:02

	Reset commands_since_idle_or_otag in the mid-layer induced otag
	case.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#56 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#124 edit

Change 1417 by gibbs@bitkeeper-linux-2.5 on 2002/09/27 14:36:27

	Honor ordered tagged requests from the mid-layer.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#55 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#123 edit

Change 1416 by gibbs@aslan on 2002/09/26 21:19:05

	Remove redundant inclusion of inttypes.h in aicasm_gram.y
	and properly sort inttypes.h into list of includes.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#25 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_macro_scan.l#7 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_scan.l#18 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.c#23 edit

Change 1415 by gibbs@aslan on 2002/09/26 16:02:22

	Correct another BE issue in a printf.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#113 edit

Change 1404 by gibbs@overdrive on 2002/09/24 17:27:07

	Correct a spelling error.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#54 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#122 edit

Change 1403 by gibbs@aslan on 2002/09/24 17:06:41

	Correct a spelling mistake.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#79 edit

Change 1400 by gibbs@overdrive on 2002/09/24 14:29:16

	Make version numbers match what the driver prints on startup.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/README.aic79xx#2 edit

Change 1399 by gibbs@overdrive on 2002/09/24 13:54:33

	Add README files for embedded Linux drivers.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/README.aic79xx#1 add
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/README.aic7xxx#1 add

Change 1398 by gibbs@bitkeeper-linux-2.5 on 2002/09/24 12:50:32

	Bump Linux driver versions:
		aic7xxx = 6.2.10
		aic79xx = 1.1.1

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#64 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#90 edit

Change 1397 by gibbs@bitkeeper-linux-2.4 on 2002/09/23 12:02:16

	Add memory mapped I/O compile time option.

Affected files ...

... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Config.in#9 edit

Change 1396 by gibbs@bitkeeper-linux-2.4 on 2002/09/23 12:01:01

	Add memory mapped I/O option to both the aic7xxx and aic79xx drivers.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#53 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#63 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#13 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#121 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#89 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#37 edit

Change 1395 by gibbs@overdrive on 2002/09/23 11:19:47

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Remove two spurious but benign if statements that
		probably appeared due to an editing botch.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#52 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#120 edit

Change 1393 by gibbs@bitkeeper-linux-2.5 on 2002/09/20 14:58:43

	aic7xxx_host.h:
		Port to 2.5.X.
		 - Adapt to "biosparam" driver method specification
	
	aic7xxx_osm.c:
		Port to 2.5.X.
		 - Include scsicam.h for disk partition functions.
		 - Switch from strtok to strsep.  Strtok is no longer
		   available in 2.5.X.	
		 - Adapt to the removal of the io_request lock and the
		   mid-layer acquiring our own lock prior to calling us.
		   This comes in the form of a new inline,
		   ahc_midlayer_entrypoint_lock().  For 2.5.X, this is
		   no-op since our lock is already held prior to entry
		   into the driver.
		 - Make use of scsi_assign_lock so that we can have our
		   lock held before we have our host structure.  If we
		   used the host lock in the host structure, we would
		   not be able to acquire our lock in our interrupt handler
		   should a shared interrupt occur before we allocated
		   our host structure.
		 - Added comments indicating why it is that we don't do
		   the same ahc_unlock()/ahd_done_lock() dance in 2.5.X.
		   Since the done lock and the ahc_lock are one and the
		   same, it doesn't make sense to release and reacquire
		   the same lock.  For older kernels, this dance is required
		   to avoid lock order reversals.
		 - In our error recovery entry points, move unlock_irq()
		   calls down to where we sleep so it is more obvious why
		   they are required.  Add some comments about this too.
		 - Adapt to changes in the biosparam method specification.
	
		Turn runq scheduling into an inline to remove lots of
		#ifdef clutter.
	
	aic7xxx_osm.h:
		Make register pretty printing and option.
	
		Add ahc_midlayer_entrypoint_lock() inlines to help
		manage the latest Linux mid-layer locking fiasco.
	
		ahc_done_lock/unlock are no-ops for 2.5.X.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_host.h#10 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#119 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#88 edit

Change 1392 by gibbs@bitkeeper-linux-2.5 on 2002/09/20 14:47:28

	Config.in:	
		Bring both the aic7xxx and aic79xx sections of this
		file up to date in regards to the latest options.
	aic79xx_host.h:
		Port to 2.5.X.
		 - Adapt to "biosparam" driver method specification
		 - Modify driver template to be 2.5.X compatible
	
	aic79xx_osm.c:
		Port to 2.5.X.
		 - Include scsicam.h for disk partition functions.
		 - Switch from strtok to strsep.  Strtok is no longer
		   available in 2.5.X.	
		 - Adapt to the removal of the io_request lock and the
		   mid-layer acquiring our own lock prior to calling us.
		   This comes in the form of a new inline,
		   ahd_midlayer_entrypoint_lock().  For 2.5.X, this is
		   no-op since our lock is already held prior to entry
		   into the driver.
		 - Make use of scsi_assign_lock so that we can have our
		   lock held before we have our host structure.  If we
		   used the host lock in the host structure, we would
		   not be able to acquire our lock in our interrupt handler
		   should a shared interrupt occur before we allocated
		   our host structure.
		 - Added comments indicating why it is that we don't do
		   the same ahd_unlock()/ahd_done_lock() dance in 2.5.X.
		   Since the done lock and the ahd_lock are one and the
		   same, it doesn't make sense to release and reacquire
		   the same lock.  For older kernels, this dance is required
		   to avoid lock order reversals.
		 - In our error recovery entry points, move unlock_irq()
		   calls down to where we sleep so it is more obvious why
		   they are required.  Add some comments about this too.
		 - Adapt to changes in the biosparam method specification.
	
		Turn runq scheduling into an inline to remove lots of
		#ifdef clutter.
	
	aic79xx_osm.h:
		Make register pretty printing and option.
	
		Add ahd_midlayer_entrypoint_lock() inlines to help
		manage the latest Linux mid-layer locking fiasco.
	
		ahd_done_lock/unlock are no-ops for 2.5.X.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_host.h#7 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#51 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#62 edit
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Config.in#8 edit

Change 1386 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/17 19:10:33

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#61 edit

Change 1385 by gibbs@overdrive on 2002/09/17 18:48:09

	aic79xx_osm.c:
		Correct a case in the aic79xx_rd_strm_info code where
		it was referencing the tag_info array by mistake.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#50 edit

Change 1380 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/16 14:46:03

	Include <inttypes.h> to get uint8_t definitions

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#24 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_macro_scan.l#6 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_scan.l#17 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.c#22 edit

Change 1378 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/16 12:49:34

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#60 edit

Change 1377 by gibbs@aslan on 2002/09/16 12:47:19

	Print out LQOSTAT* registers in ahd_dump_card_state.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#112 edit

Change 1373 by gibbs@aslan on 2002/09/12 12:33:53

	aic79xx.c:
		Cover the ENBUSFREE case for bus resets too.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#111 edit

Change 1372 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/12 11:26:37

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#59 edit

Change 1371 by gibbs@aslan on 2002/09/12 11:24:42

	aic79xx.c:
		With the BUSFREEREV bug in effect, we must
		muck with the ENBUSFREE toggle if the busfree
		occurred in a non-pack connection.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#110 edit

Change 1370 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/11 18:39:38

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#58 edit

Change 1369 by gibbs@overdrive on 2002/09/11 18:38:24

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#31 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#12 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#32 edit

Change 1368 by gibbs@aslan on 2002/09/11 18:37:30

	Implement workaround for broken busfree-rev in the A4.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#109 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#61 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#60 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#44 edit

Change 1364 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/11 10:02:19

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#57 edit

Change 1363 by gibbs@overdrive on 2002/09/11 10:01:38

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#30 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#11 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#31 edit

Change 1362 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/10 19:43:30

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#56 edit

Change 1361 by gibbs@aslan on 2002/09/10 18:57:05

	aic79xx.c:
		Aesthetic changes to the dump_sglist routine.
		We now indicate that the LAST flag was set in
		the last SG element.
	
	aic79xx_inline.h:
		Don't use ahd_htole64 on a variable that may not
		be 64bits wide.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#108 edit
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#36 edit

Change 1360 by gibbs@aslan on 2002/09/10 18:52:55

	aicasm_gram.y:
		Adjust support for mvi with immediate of 0 to
		handle the downloaded constant case.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#23 edit

Change 1354 by gibbs@aslan on 2002/09/10 15:09:50

	aic79xx.h:
		Add two new bug defines that only apply to the A:
	
		o AHD_REG_SLOW_SETTLE_BUG
		  - Some Host registers take a few clocks to settle.
	
		o AHD_SET_MODE_BUG
		  - Interrupts must be disabled when changing the mode
	
	aic79xx.reg:
		Modify SET_MODE and add a new TOGGLE_DFF_MODE macro
		to optimize out the AHD_SET_MODE_BUG workaround.
	
		Make P_BUSFREE a field instead of a member of an
		enum with a mask that doesn't apply to its bit location.
	
	aic79xx.seq:
		Optimize code based on the two new bug defines.  We
		also iimplement, for the first time, the SLOW_REG
		bug workaround.
	
		SET_MODE and TOGGLE_DFF_MODE can't have ';'s after
		them now due to if/else clauses.
	
		Correct a ';' -> ':' syntax error.
	
	aic79xx_pci.c:
		Add the two new bug defines to the list of bugs
		that apply to the A4.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#60 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#45 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#59 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#43 edit

Change 1352 by gibbs@aslan on 2002/09/10 14:44:31

	aicasm_gram.y:
		Allow mvi immediates of zero and have the assembler
		convert these to the equivalent of a clr instruction.
		This allows macros that do not know the value of the
		immediate they are given DTRT.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#22 edit

Change 1349 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/09 15:09:57

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#55 edit

Change 1347 by gibbs@aslan on 2002/09/09 15:08:20

	aic79xx.seq:
		In pkt_saveptrs, wait for FIFOEMP before issuing
		the clearchn.  This seems to be the easiest way
		to ensure that we don't complete the command to
		the host prior to all data draining.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#58 edit

Change 1346 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/08 17:46:07

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#54 edit

Change 1345 by gibbs@overdrive on 2002/09/08 17:41:10

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#29 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#10 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#30 edit

Change 1344 by gibbs@aslan on 2002/09/08 17:40:23

	aic79xx.seq:
		Correct a comment.
	
		In pkt_saveptrs, only clear the saveptrs interrupt
		status once the pointers are saved.  Otherwise we
		may allow a cfg4data in the other FIFO to proceed
		with incorrect data pointers.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#57 edit

Change 1343 by gibbs@aslan on 2002/09/08 17:13:36

	aic79xx.c:
		Add diagnostic messages for DSPDATACTL workarounds.
	
		Negotiate HOLD_MCS for U320 transfers.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#107 edit

Change 1342 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/06 17:46:11

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#53 edit

Change 1341 by gibbs@overdrive on 2002/09/06 17:45:16

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#28 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#9 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#29 edit

Change 1340 by gibbs@aslan on 2002/09/06 17:44:20

	aic79xx.seq:
		Fix syntax error.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#56 edit

Change 1339 by gibbs@aslan on 2002/09/06 17:42:26

	aic79xx.seq:
	aic79xx.reg:
		Fix SCBPTR corruption during mixed pack/non-pack
		processing.  When allocating a FIFO, an SCB can
		complete using MODE3's SCBPTR.  Save the SCBID
		requesting the allocation into a new scratch ram
		location that is unused by any other code prior
		to running any FIFO threads and restore it once
		allocation is complete.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.reg#44 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#55 edit

Change 1338 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/05 22:06:27

	       Update driver version

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#52 edit

Change 1337 by gibbs@overdrive on 2002/09/05 21:48:01

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#27 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#8 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#28 edit

Change 1336 by gibbs@overdrive on 2002/09/05 20:58:55

	aic79xx.c:
		Restart the sequencer prior to scheduling our
		reset polling timer.  We want to be sure the
		sequencer is reset prior to the timer firing.
	
		In ahd_reset_poll(), put us in the SCSI mode
		prior to tweaking registers.
	
	aic79xx.reg:
		Use consistent case in defining register addresses.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#106 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#43 edit

Change 1335 by gibbs@overdrive on 2002/09/05 20:19:00

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#26 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#7 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#27 edit

Change 1334 by gibbs@aslan on 2002/09/05 18:26:26

	aic79xx.h:
		Give AHD_SHOW_SG it's own value.	

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#59 edit

Change 1333 by gibbs@aslan on 2002/09/05 18:25:32

	aic79xx.c:
		Remove a redundant ahd_update_modes();
	
		Only print scb path information in our SELTO handler
		once we've verified that the SCB is not NULL.
	
		Fix formatting nits.
	
		Convert transmission error diagnostic code to ahd_reg_print().
	
		Correct the comment for ahd_handle_pkt_busfree().  We
		can enter this routine in any of modes 0, 1 and 3.
	
		In ahd_handle_pkt_busfree(), ensure we are in mode 3
		for dealing with LQOBUSFREE events, save and restore
		the current SCBPTR in that mode, and use CURRSCB to
		determine the SCB affected by the busfree rather than
		the quite bogus SCBPTR.
	
		In ahd_abort_scbs(), operate in the SCSI mode so that
		busy and clear TCL functions use that mode.  It is
		the only safe mode to use for temporary changes to
		the SCBPTR register unless you have guaranteed that
		no SCB fetches are inprogress in which case the command
		channel mode is safe.
	
		Add assertions in the busy_tcl code to ensure we are
		in the SCSI mode.
	
		Save and restore the SCBPTR in ahd_dump_card_state().
		We were always leaving SCBPTR pointing to the last
		SCB traversed in our debug output.
	
		Use ahd_get_scbptr() in all cases.
	
		Cleanup some nits in ahd_dump_cardstate() output.
	
		Save and restore the scbptr in ahd_dump_scbs().
	
	aic79xx.reg:
		Remove the SCB_DMA field in SEQ_FLAGS2.  It is not
		needed for Harpoon's SCB dma fetch abort algorithm.
	
	aic79xx.seq:
		Add a critical section around the SCB dma complete
		code.  It was possible for the host driver to "abort"
		this SCB fetch while the sequencer was in the process
		of handling the completion.  The critical section
		ensures that the SCB fetch is either aborted, or on
		the waiting queue once we are outside of the critical
		section.
	
		Complete the removal of the SCB_DMA flag.
	
		Fix the PDATA_REINIT case.  We neglected to jump
		to the dma_loop once the kernel had completed the
		reinitialization.
	
		Fix the non-packetized bitbucket handler.  We were not
		properly waiting until the data phase was over.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#105 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#42 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#54 edit

Change 1332 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/04 23:44:52

	Version 1.0.12

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#51 edit

Change 1331 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/04 23:43:46

	Regen aic79xx firmware

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#25 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#6 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#26 edit

Change 1330 by gibbs@aslan on 2002/09/04 18:04:26

	aic79xx.c:
		Don't call ahd_clear_intstat from our busfree handler.
		The bus may well have moved on and we don't want to
		clear state that pertains to the current connection.
		If we get stray PERR status, it will now be handled
		by the "catch-all" case in the SCSIINT handler.
	
		In ahd_clear_intstat(), deal with the AHD_CLRLQO_AUTOCLR_BUG.
		This may have been the cause for the really strange
		problems with mixed pack/non-pack configuratons.
	
		When clearing ENSELO in SCSISEQ0, make sure we are
		in a known and safe mode.
	
		Remove "nonpkt_tag" from the "task_attribute_nonpkt_tag"
		HSCB field.  We no longer need nonpkt_tag information
		in the SCB.
	
		Another update from Gordon for the bus reset quiet
		the controller algorithm.
	
		Print the current byte on the bus in ahd_dump_card_state().
	
		Remove spurious ','s from the printing of the pending list.
	
		Include SCB_TAG in pending list dumps.
	
	aic79xx.h:
		Put SCB_TAG on a 4 byte boundary just to be paranoid.
	
		task_attribute_nonpkt_tag -> task_attribute
	
	aic79xx.reg:
		Put SCB_TAG on a 4 byte boundary just to be paranoid.
	
	aic79xx.seq:
		Remove extra AHD_MDFF_WSCBPTR_BUG code.  The failure
		can never occur since, in the A, only the non-pack
		FIFO can ever be active during non-pack processing.
	
		Clear the busfree status when entering non-pack processing
		so we can rely on it in await_busfree.
	
	aic79xx_inline.h:
		Remove what is hopefully the last chunk of untagged queue
		code from the driver.
	
		Don't bother setting the nonpack_tag since it is always
		the same as the low byte of SCBPTR.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#104 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#58 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#41 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#53 edit
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#35 edit

Change 1328 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/09/03 17:30:10

	Version 1.0.11

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#50 edit

Change 1327 by gibbs@overdrive on 2002/09/03 17:21:56

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#24 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#5 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#25 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#17 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg_print.c#4 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#18 edit

Change 1326 by gibbs@aslan on 2002/09/03 17:20:25

	Remove a spuriously expanded $FreeBSD$.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_macro_scan.l#5 edit

Change 1325 by gibbs@aslan on 2002/09/03 17:14:43

	aic79xx.c:
		Add a missing space in the pending list
		debug output code.
	
	aic79xx.h:
		Add AHD_MDFF_WSCBPTR_BUG.
	
	aic79xx.reg:
		Reserve mode specific scratch location
		REG2 for interrupt handler use only.
		This avoids any potential races between
		normal and interrupt contexts.
	
		Put target mode bits after initiator bits
		so that the initiator mode ones are printed
		during diagnostics.  We don't currently
		support target mode.
	
	aic79xx.seq:
		Add duplicate writes to SCBPTR when in modes
		0 and 1.
	
		Switch one section of ISR code over to using
		REG_ISR.
	
		Perform clear target state after releasing the
		FIFO so the FIFO is free as soon as possible.
	
	aic79xx_pci.c:
		Turn on AHD_MDFF_WSCBPTR_BUG.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#103 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#57 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#40 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#52 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#42 edit

Change 1323 by gibbs@aslan on 2002/08/30 23:06:40

	Strip back down to $FreeBSD$.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7770.c#25 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#78 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#51 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.reg#34 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_93cx6.c#17 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_93cx6.h#12 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_inline.h#38 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#50 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/ahc_eisa.c#8 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/ahc_pci.c#8 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.c#22 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic7xxx_osm.c#10 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic7xxx_osm.h#10 edit

Change 1322 by gibbs@aslan on 2002/08/30 23:06:24

	aic7xxx.seq:
		Correct a bug in target mode handling of non-disconnected
		transactions.  The host would indicate the correct SCB to
		DMA by setting the SCB id in the currently selected hardware 
		SCB.  Unfortunately, we would then immediated allocate a
		hardware SCB which, depending on the access patern might not
		be the same hardware SCB that the host setup for us.  Avoid
		this by having the host put the SCBID into scratch ram.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.seq#50 edit

Change 1321 by gibbs@aslan on 2002/08/30 23:00:30

	Strip back down to $FreeBSD$

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm.c#22 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm.h#14 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#21 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_macro_gram.y#5 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_scan.l#16 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.c#21 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.h#17 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aicasm/Makefile#1 add

Change 1320 by gibbs@aslan on 2002/08/30 20:47:28

	Expands revision tags.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm.c#21 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm.h#13 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#20 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_insformat.h#10 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_macro_gram.y#4 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_macro_scan.l#4 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_scan.l#15 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.c#20 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.h#16 edit

Change 1317 by gibbs@aslan on 2002/08/30 20:18:37

	aic7xxx.c:
		Make use of ahc_print_devinfo in the non-AHC_DEBUG case
		to quiet GCC.  We'll be adding more non-debug uses later
		anyway.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#77 edit

Change 1316 by gibbs@aslan on 2002/08/30 17:37:39

	Expand Ids.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7770.c#24 edit
... //depot/aic7xxx/aic7xxx/aic79xx.c#102 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#56 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#39 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#51 edit
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#34 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#41 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#76 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#50 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.reg#33 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.seq#49 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_93cx6.c#16 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_93cx6.h#11 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_inline.h#37 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#49 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/ahc_eisa.c#6 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/ahc_pci.c#6 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/ahd_pci.c#6 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.c#21 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.h#13 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic7xxx_osm.c#9 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic7xxx_osm.h#8 edit

Change 1313 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/08/29 16:44:35

	Version 1.0.10

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#49 edit

Change 1312 by gibbs@overdrive on 2002/08/29 16:17:01

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#23 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#4 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#24 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#16 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg_print.c#3 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#17 edit

Change 1311 by gibbs@aslan on 2002/08/29 16:08:39

	aic79xx.c:
		Correct negotiation regression in 1.0.9.  We need to
		cancel the negotiations for any unstarted SCBs to avoid
		the "AWAITING MSG with no waiting message" assertion.
		In the packetized world, it is safe to cancel negotiations
		so long as we are active on the bus preventing the execution
		queue from being run.  Restore ahd_update_pending_scbs() to
		update SCBs on the controller and have all callers only call
		it for negotiation changes when the transaction is active.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#101 edit

Change 1310 by gibbs@aslan on 2002/08/29 14:34:09

	aic79xx.c:
	aic7xxx.c:
		Print pathing information with some diagnostics.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#100 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#75 edit

Change 1309 by gibbs@aslan on 2002/08/29 14:01:21

	aic7xxx.c:
	aic7xxx.h:
		Add support for AHC_SHOW_MESSAGES.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#74 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#49 edit

Change 1308 by gibbs@aslan on 2002/08/29 14:00:48

	aicasm.c:
	aicasm.h:
	aicasm_gram.y:
	aicasm_scan.l:
	aicasm_symbol.h:
		Update copyrights.
	
	aicasm_symbol.c:
		Update cpyright.
	
		Allow print reg functions for registers with
		no fields.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm.c#20 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm.h#12 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#19 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_scan.l#14 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.c#19 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.h#15 edit

Change 1307 by gibbs@aslan on 2002/08/29 13:57:31

	Update copyrights.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#50 edit
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#33 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#40 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.c#20 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.h#11 edit

Change 1306 by gibbs@aslan on 2002/08/29 13:56:41

	aic79xx.c:
		Use ahd_print_path() for selection timeout messages.
	
		Clear all interrupt sources, via ahd_clear_intstat(),
		if we get an expected or unexpected busfree.  It turns
		out that the hardware clears some of them, but not all
		of them when a busfree occurs which can confuse our SCSIINT
		handler down the road.
	
		Update ahd_clear_intstat() to clear LQO/LQI type interrupts.
	
		Remove duplicate phase printing in the AHD_SHOW_MESSAGES
		code.
	
		Update ahd_dump_card_state to use more of the "reg print"
		functions.
	
		Conditionalize SG list printing under AHD_SHOW_SG.
	
	aic79xx.h:
		Add AHD_SHOW_SG.
	
	aic79xx.reg:
		Add several changes for Rev. B.  These still need
		to be verified.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#99 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#55 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#38 edit

Change 1305 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/08/29 10:27:03

	limit per-drive tags to 32

Affected files ...

... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Config.in#7 edit

Change 1304 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/08/29 10:26:10

	Sync up with the linux-aic79xx-2.4.18_rc4 version of this in order to 
	get the new aic79xx_reg_print.o dependency.

Affected files ...

... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Makefile#5 integrate

Change 1302 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/08/28 10:55:57

	Version 1.0.9

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#48 edit

Change 1301 by gibbs@overdrive on 2002/08/27 16:50:51

	Regen Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#22 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#3 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#23 edit

Change 1300 by gibbs@aslan on 2002/08/27 16:49:33

	aic79xx.c:
		Print out both bytes of SINDEX in a diagnostic.
	
		Remove redundant pausing of the sequencer prior
		to calls to ahd_update_pending_scbs().  It performs
		its own pause management.
	
		In ahd_update_pending_scbs(), don't mess with SCBs
		already DMA'ed down to the card.  Fields in the
		SCB control byte are referenced by the select out
		code to determine queue state, so it is best to
		leave them alone.  The U320 cards don't embed
		negotiation information in the SCBs anyway, so
		the update was of little use.
	
		Protect against freezing the SIM Q multiple times
		should a second bus reset be initiate prior to the
		completed processing of a previous bus reset event.
	
		Print out some additional registers in ahd_dump_card_state().
	
		Don't rely on the flexport seeprom type detection to
		determine if an seeprom is present.  The logic is not
		present on all board types (e.g. mule boards).
	
	aic79xx.h:
		Add bit for AHD_RESET_POLL_ACTIVE.
	
	aic79xx.seq:
		Correct a few comments about how the sequencer operates.
	
		Always clear SG_STATE in disable_ccsgen.  Leaving stale
		info in there was confusing the non-packetized path.
	
		Inline the effect of a call to disable_ccsgen in the
		S/G fetch code path.
	
	aic79xx_pci.c:
		If bootverbose, indicate STPWLEVEL.
	
	aic79xx_osm.c:
		Properly drop to a sync rate that does not require
		information unit transfers if tagged queuing or the
		disconnect privledge are not available.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#98 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#54 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#49 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#39 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.c#19 edit

Change 1296 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/08/22 17:40:40

	1.0.8

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#47 edit

Change 1295 by gibbs@overdrive on 2002/08/22 17:35:03

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#21 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#2 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#22 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#15 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg_print.c#2 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#16 edit

Change 1293 by gibbs@aslan on 2002/08/22 15:14:44

	aic79xx.c
		Style nits.
	
		Print out REG0 in the NO_MATCH case.  It is more
		interesting than ARG_1.
	
		Use AHD_NUM_LUNS_NONPKT for loops over the busy
		target table.  Packetized luns don't use the table.
	
		Use BUILD_TCL_RAW rather than rolling our own in
		combination with BUILD_TCL in a few places.
	
	aic79xx.h:
		Allow TCLs to store all lun bits.
	
		Lower bus reset hold time to 25us.
	
	aic79xx.seq:
		Correct grammer in a comment.
	
		Simplify busy table operatins in mesgin_identify.
	
		Remove a commented-out diagnostic.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#97 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#53 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#48 edit

Change 1292 by gibbs@aslan on 2002/08/22 15:10:03

	aic7xxx.h:
		Drop reset hold duration to 25us.
	
	aic7xxx.seq:
		Correct the grammer in a comment.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.h#48 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.seq#48 edit

Change 1291 by gibbs@aslan on 2002/08/22 14:04:12

	aicasm_symbol.c:
	aicasm_symbol.h:
		Fix symbol sorting logic.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.c#18 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.h#14 edit

Change 1289 by gibbs@aslan on 2002/08/21 18:45:16

	aic79xx.c:
	aic7xxx.c:
		Handle field values that can be 0 in ahd_print_register().
		The code would get into an infinite loop before.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#96 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#73 edit

Change 1288 by gibbs@aslan on 2002/08/21 16:30:00

	aic79xx.reg:
		Remove unused SEQINTCODEs.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.reg#37 edit

Change 1287 by gibbs@aslan on 2002/08/21 16:29:36

	aic79xx.c:
		It turns out that we can single step even if a
		SCSIINT is pending.  Remove clearing/restoring of
		SCSIINT interrupt enables.  This fixes an issue
		with busfree detection getting turned off without
		the possibility of re-enabling it.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#95 edit

Change 1286 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/08/20 18:32:08

	Update to 1.0.7, add required makefile changes

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#46 edit
... //depot/linux_mod_devel/scsi.aic79xx/Makefile#2 edit

Change 1285 by gibbs@aslan on 2002/08/20 18:30:47

	aic79xx.c:
		Implement the latest bus reset card shutdown procedure.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#94 edit

Change 1282 by gibbs@overdrive on 2002/08/20 17:18:57

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#45 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#20 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg_print.c#1 add
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#21 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#87 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#14 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg_print.c#1 add
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#15 edit

Change 1280 by gibbs@aslan on 2002/08/20 14:15:29

	aic79xx.seq:
		Add a PREFIX for ahd generated definitions.
	
		Clean up more code related to the now defunct
		disconnected lists.
	
		Use *stable* references to the current scsiid
		and lun (SAVED_SCSIID/SAVED_LUN) for indexing
		into the busy targets table.  We were referring
		to the possibly uninitialzied SCB_LUN of the
		SCB we had indexed into.  Bad.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.seq#47 edit

Change 1279 by gibbs@aslan on 2002/08/20 14:13:20

	aic7xxx.c:
	aic7xxx.h:
		Fix a few typos.
	
		Implement ahc_print_register.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#72 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#47 edit

Change 1278 by gibbs@aslan on 2002/08/20 14:12:23

	aic79xx.c:
	aic79xx.h:
		More work on the ahd_print_register routine.
	
		Use the pretty print register routines in a few places.
	
		Fix a few typos.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#93 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#52 edit

Change 1277 by gibbs@aslan on 2002/08/20 14:10:38

	aic7xxx.seq:
		Add a PREFIX designator for use in making assembler
		generated definitions, unique.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.seq#47 edit

Change 1276 by gibbs@aslan on 2002/08/20 14:09:03

	aic79xx.reg:
	aic7xxx.reg:
		Adapt to new assembler syntax.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.reg#36 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.reg#32 edit

Change 1275 by gibbs@aslan on 2002/08/20 14:06:35

	aicasm.c:
	aicasm_gram.y:
	aicasm_scan.l:
	aicasm_symbol.c:
	aicasm_symbol.h:
		Add support for generating register field tables for
		use in pretty-printing register values.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm.c#19 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#18 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_scan.l#13 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.c#17 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.h#13 edit

Change 1272 by gibbs@overdrive on 2002/08/14 14:16:46

	aic79xx_osm_pci.c:
		Move warning about failures to memory map our controller
		under bootverbose.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#12 edit

Change 1271 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/08/14 08:02:15

	Version 1.0.6

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#44 edit

Change 1270 by gibbs@overdrive on 2002/08/13 16:02:05

	aic79xx_osm.c:
	aic7xxx_osm.c:
		Use MSG_EXT_PPR_QAS_REQ rather than SID_SPI_QAS
		when dealing with PPR options.  The latter is used
		when looking at inquiry information.  Ooops.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#49 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#118 edit

Change 1269 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/08/09 13:09:26

	veriosn 1.0.5

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#43 edit

Change 1264 by gibbs@aslan on 2002/08/08 15:19:58

	aic79xx.c:
		Use CAM_SEQUENCE_FAIL for protocol violations.
	
		Add first cut at a register printing function.
	
		Use better markers for the beginning and end
		of ahd_dump_card_state.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#92 edit

Change 1263 by gibbs@aslan on 2002/08/08 15:18:52

	aicasm.c:
	aicasm.h:
	aicasm_gram.y:
	aicasm_scan.l:
	aicasm_symbol.c:
	aicasm_symbol.h:
		First cut at outputing register printing tables.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm.c#18 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm.h#11 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#17 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_scan.l#12 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.c#16 edit
... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.h#12 edit

Change 1262 by gibbs@overdrive on 2002/08/08 14:21:43

	cam.h:
		Add a mapping for CAM_SEQUENCE_FAIL.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/cam.h#13 edit

Change 1261 by gibbs@overdrive on 2002/08/08 10:56:31

	aic79xx_osm.c:
	aic7xxx_osm.c:
		If QAS is not supported by a target, be sure to clear
		the QAS flag in the ppr_options.  Otherwise we may
		attempt a PPR on a device that does not support it.
	
		Use prot_version rather than the protocol version in
		the tstate as the latter is not initialized until later
		in the routine and will be 0 the first time an inquiry
		is sent to a device.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#48 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#117 edit

Change 1259 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/08/07 09:36:00

	Version 1.0.4

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#42 edit

Change 1258 by gibbs@aslan on 2002/08/06 16:58:52

	aic79xx.c:
		Move expected bus free handling code to ahd_set_syncrate()
		so that it will work for message types other than PPR.
	
		Test for expected bus frees if the last phase was either
		MESGIN or MESGOUT.  SPI4 dictates that the bus free will
		occur once message phases are over, so we must handle the
		case of other messages occuring prior to the bus going free.
		We filter out other causes for the bus free (abort tag, etc.)
		prior to treating this as an expected busfree.
	
		Wait a bus reset delay prior to performing the chip reset
		for outgoing bus resets *just in case* this helps with the
		stray arb issue.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#91 edit

Change 1250 by gibbs@overdrive on 2002/08/05 14:23:13

	aic7xxx_osm.c:
	aic79xx_osm.c:
		Fix off-by-one errors in calculations using the inquiry
		data's additional_length field.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#47 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#116 edit

Change 1248 by gibbs@overdrive on 2002/08/03 12:26:50

	aic7xxx_proc.c:
		Explicitly test for VLB and PCI cards in seeprom_write()
		so we don't try this on EISA cards.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_proc.c#22 edit

Change 1246 by gibbs@overdrive on 2002/08/03 12:06:45

	aic7xxx_proc.c:
		AHC_PCI_CONFIG is always defined.  Test for > 0 instead.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_proc.c#21 edit

Change 1244 by gibbs@overdrive on 2002/08/03 12:01:55

	aic7xxx_osm.c:
		ahc_pause_and_flush_work() -> ahc_pause_and_flushwork().

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#115 edit

Change 1243 by gibbs@overdrive on 2002/08/03 11:57:55

	aic7xxx_proc.c:
		Allow this to compile if PCI support is not
		configured into the system.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_proc.c#20 edit

Change 1242 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/08/02 19:43:45

	Version 1.0.3

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#41 edit

Change 1240 by gibbs@aslan on 2002/08/02 17:47:26

	aic79xx.c:
		Force scb to be NULL if we have not been fully identified
		in ahd_handle_protocol_violation().
	
		Use MSG_ABORT_TASK for invalid reselections as per the
		SPI4 spec.
	
		Push the waiting for the bus transceivers to setting into
		ahc_chip_init().  This makes the wait occur for bus reset
		operations too.  Perform this wait prior to setting up
		any of our iocell workarounds just in case the chip clobbers
		them when the bus settles.
	
		Don't rely on the chip remaining paused while we wait for
		the bus reset line to fall.  We simply perform most of
		the reconfiguration of the chip prior to starting to poll
		for the reset line to fall.
	
		Fix a bug in ahd_reset_poll() in the case of the reset
		line not falling.  We would not exit the function to wait
		again for the reset line to fall.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#90 edit

Change 1228 by gibbs@overdrive on 2002/07/31 16:33:59

	aic79xx_osm.c:
	aic79xx_osm.h:
	aic7xxx_osm.c:
	aic7xxx_osm.h:
	cam.h:
		Emulate CAM_REQUEUE_REQ by returning check condition
		status with the ABORTED COMMAND sense key.  This works
		even if we happen to be requesting an error recovery
		command to be unconditionally requeued.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#46 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#40 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#114 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#86 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/cam.h#12 edit

Change 1227 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/07/31 12:12:00

	version 1.0.2

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#39 edit

Change 1226 by gibbs@overdrive on 2002/07/30 17:12:07

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#19 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#20 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#13 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#14 edit

Change 1225 by gibbs@aslan on 2002/07/30 17:10:40

	aic79xx.c:
		When a selection timout occurs, we need not play with
		ENBUSFREE.  The busfree interrupt is a pulse so simply
		clearing that interrupt source is sufficient.
	
		Fixup some curly braces.
	
		LASTPHASE -> PREVPHASE.  LASTPHASE is a register
		in scratch ram and not the bit in the PERRDIAG register
		that indicates if the error has occurred before the
		current phase.
	
		When setting the SCSI reset line, clear ENSELO and
		ENARBO just in case they are set.  We don't want the
		chip to decide it need to perform a select out as
		soon as the reset is over.
	
		Add a line of '='s prior to dumping card state.  It
		makes traces easier to follow.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#89 edit

Change 1224 by gibbs@aslan on 2002/07/29 17:06:54

	aic79xx.c:
		When auto-sense fails due to non-0 scsi status,
		we still need to release the selection queue.
		Rearrange the code so that we do this step prior
		to checking to see if this was an auto-sense
		command.
	
	aic79xx.seq:
		Be more careful about detection of protocol violations
		flagged on command complete messages.  The command complete
		is valid even if the CDB was never fully sent if the
		target has given us non-zero status.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#88 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#46 edit

Change 1223 by gibbs@aslan on 2002/07/29 12:00:22

	aic79xx.c:
		Move handler for protocol violations to its own funciton.
		Make another attempt to handle protocol violations that
		occur before we have a fully identified connection.
	
		Add ahd_print_devinfo() to simplify diagnostics for
		scenarios without a fully identified connection.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#87 edit

Change 1221 by gibbs@overdrive on 2002/07/26 13:54:57

	aic79xx_osm.c:
	aic7xxx_osm.c:
		When we get a QUEUE_FULL with only the transaction
		returning QUEUE FULL outstanding, tell Linux that
		the transaction received BUSY status.  Linux doesn't
		understand how to deal with QUEUE FULL correctly in
		this situation and will leave the device frozen forever.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#45 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#113 edit

Change 1217 by gibbs@overdrive on 2002/07/25 13:35:10

	aic7xxx_osm.c:
		Rely on ahc_pause_and_flushwork() instead of rolling our own.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#112 edit

Change 1216 by gibbs@aslan on 2002/07/25 13:34:21

	aic7770.c:
		Remove an unused variable.
	
	aic7xxx.c:
		Mask qoutfifonext in printf to avoid promotion
		issues when printing its value.
	
		When we experience a dual edge error, send an
		initiator detected error message regardless of
		data direction.  This is an error we can detect
		either way.
	
		Cast the return from malloc.
	
		Use the SCSI offset as an indication that we have
		a sync negotiation setup, not the period.
	
		In ahc_fetch_devinfo(), test for a few more bits
		in SEQ_FLAGS to determine if we are acting as a
		target that has been selected.  Depending on how
		far we are along in the transaction one or all
		of them may be set.
	
		Align our S/G data structures on an 8byte boundary.
		This already was occuring by luck, but using the
		correct parameter to bus_dma_tag_create formalizes
		this requirement.
	
		Guard against pending (re)selections in
		ahc_pause_and_flushwork().
	
		If SEARCH_REMOVE removes an SCB from an untagged queue,
		clear its SCB_UNTAGGEDQ flag.
	
		When enabling a lun for target mode on a controller without
		MULTARGID support, complain when an attempt is made to
		enable another ID.
	
	aic7xxx.h:
		Remove external declaration of the syncrate table.  It
		is no longer accessed directly by the OSM.
	
	aic7xxx.reg:
		Add a definition for SXFRCTL2.  This is just to serve
		as documentation since we don't currently use this
		register.
	
		Alias MWI_RESIDUAL with TARG_IMMEDIATE_SCB.  This new
		field is used for a more robust immediate target mode
		SCB delivery scheme.
	
	aic7xxx.seq:
		Adapt to TARG_IMMEDIATE_SCB scheme.
	
		Correct a problem with immediate target mode SCBs on
		controllers without a command channel.  We neglected
		to CLRCHN before continuing the connection.
	
		Grammer nits.
	
	aic7xxx_pci.c:
		Remove an unused variables.
	
		Simplify the code to read the SCB2 data.
	
		When checking termination on 785X cards, force
		the wide termination to be off since these chips
		do not support wide SCSI.
	
	aic7xxx_osm.c:
		Use offset not period for sync rate negotiation decissions.
	
		Adapt to TARG_IMMDEDIATE_SCB scheme.
	
		Properly cast our softc in ahc_poll().
	
		Remove test for P_BUSFREE when trying to determine if
		an active SCB is valid.  The SCB may be valid long
		before we see the first phase.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7770.c#23 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#71 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#46 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.reg#31 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.seq#46 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#48 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic7xxx_osm.c#8 edit

Change 1209 by gibbs@overdrive on 2002/07/24 16:53:31

	aic79xx_osm.c:
		Remove one last multi-line string constant.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#44 edit

Change 1208 by scottl@scottl-hobbiton-mod_devel_aic7xxx on 2002/07/24 16:00:02

	Fix compiliation errors

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#111 edit

Change 1207 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/07/24 15:57:30

	remove hard printf's

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#38 edit

Change 1206 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/07/24 14:17:12

	Driver is now at version 1.0.1

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#38 edit

Change 1205 by gibbs@overdrive on 2002/07/24 14:09:02

	aic79xx_osm.c:
		Allow MODULE_LICENSE to work on 7.2AS.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#43 edit

Change 1203 by scottl@scottl-linux-ia64 on 2002/07/23 11:18:20

	Clear any bogus bus reset flags while the transceivers are settling

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#86 edit

Change 1202 by scottl@scottl-linux-ia64 on 2002/07/22 19:10:49

	Move the debugging printf in ahd_alloc to the end, avoiding a junk
	pointer reference.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#85 edit

Change 1201 by gibbs@aslan on 2002/07/22 17:53:37

	aic7xxx_inline.h:
		If chip interrupts are disabled, just return from our
		interupt handler.  In these cases, the interrupts are
		likely disabled because we don't want any entry into
		our interrupt handler, even those caused by a shared
		interrupt handler.
	
	aic7770.c:
	aic7xxx_pci.c:
	aic7xxx_osm.c:
		Allow the OSM to decide when to initially enable interrups.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7770.c#22 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_inline.h#36 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#47 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic7xxx_osm.c#7 edit

Change 1200 by gibbs@overdrive on 2002/07/22 17:51:33

	aic7xxx_osm.c:
		Allow the OSM to decide when to initially enable
		interrupts.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#110 edit

Change 1199 by gibbs@overdrive on 2002/07/22 17:46:04

	aic79xx_osm.c:
		Add a missing \n"

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#42 edit

Change 1198 by gibbs@aslan on 2002/07/22 17:40:37

	aic79xx_inline.h
		If interrupts are not enabled, just return
		from the interrupt handler.  Interrupts are
		usually disabled on the chip when we *don't*
		want our interrupt handler entered which can
		happen if the interrupt is shared.
	
	aic79xx_pci.c:
	aic79xx_osm.c:
		Let the OSM decide when to initially enable interrupts.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#32 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#37 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.c#18 edit

Change 1197 by gibbs@overdrive on 2002/07/22 17:38:44

	aic79xx_osm.c:
		Use explicit newlines in multi-line string constants to
		quiet GCC.
	
		Let the OSM enable interrupts once it is ready to
		receive them.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#41 edit

Change 1196 by gibbs@aslan on 2002/07/22 16:39:46

	aic79xx.c:
		Don't mask off the OVERRUN bit in sstat0 since
		we do enable it.
	
		Assert that we are in a know mode other than MODE_CFG
		when calling clear_intstat.
	
		To simplify logic, set the collision index in all
		SCBs of a collision chain.
	
		AHD_BUILD_SCB_COL_IDX -> AHD_GET_SCB_COL_IDX
	
		CLRSCSIINT immediately after clearing any NTRAMPERRs
		that occur during ahd_chip_init().
	
	aic79xx.h:
	aic79xx_inline.h:
		Move COL_IDX macros to aic79xx.h.
	
		Optimize collision chain head table for multiple
		targets, not multiple luns.  The chain heads should
		fit in 1 or 2 cache lines instead of an almost guaranteed
		1 per target.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#84 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#51 edit
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#31 edit

Change 1195 by gibbs@overdrive on 2002/07/22 11:00:46

	aicasm_gram.y:
		Remove an extranious break;
	
		The syntax for a C label is: identifier ':' statement
		label: } is not valid syntax even though GCC has allowed
		it for years.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_gram.y#16 edit

Change 1194 by gibbs@overdrive on 2002/07/22 10:57:44

	aic7xxx_osm.c:
		Quiet GCC 3.X warnings by using explicit newlines in
		long string constants.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#109 edit

Change 1192 by gibbs@overdrive on 2002/07/19 19:51:02

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#18 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#19 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#12 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#13 edit

Change 1191 by gibbs@overdrive on 2002/07/19 19:50:13

	aic79xx_osm.c:
		Remove references to the untagged queues.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#40 edit

Change 1190 by gibbs@aslan on 2002/07/19 19:48:44

	aic79xx.c:
		Remove untagged queue support code.
	
		Set SCB_ACTIVE when it is allocated rather than
		let the OSM set it some time later.  This closes
		a race condition with collision list code that looks
		for the active flag.
	
	aic79xx.h:
		Move untagged queue cleanup.
	
	aic79xx.seq:
		Remove the last reference to the SCB_NONPACKET_TAG
		field.  This field will be removed shortly.
	
	aic79xx_osm.c:
		Remove untagged queue support code.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#83 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#50 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#45 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.c#17 edit

Change 1189 by gibbs@aslan on 2002/07/19 19:18:20

	aic79xx.c:
		Pause the sequencer prior to updating the negotiation
		tables if "paused" is false.
	
		Add the collision scb to the collision list, not
		the just allocated scb, in ahd_get_scb().
	
		Use the correct collision index when adding a just freed
		scb back into a collision list.
	
	aic79xx.seq:
		Simplify the mesgin_identify path now that we will
		never have full disconnection lists.  This also removes
		a bug where we could select the wrong SCB as the
		valid SCB for the connection.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#82 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#44 edit

Change 1187 by gibbs@overdrive on 2002/07/19 17:27:05

	aic79xx_osm.c:
		Correct typo: simple_strltoul -> simple_strtoul.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#39 edit

Change 1186 by gibbs@overdrive on 2002/07/19 17:19:45

	Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#17 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#18 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#11 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#12 edit

Change 1185 by gibbs@overdrive on 2002/07/19 17:19:24

	aic7xxx.seq:
		Revert attempt to improve stuck PCI retry workaround
		code.  This was only generated as a test and should
		never have been committed in the first place.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.seq#45 edit

Change 1184 by gibbs@overdrive on 2002/07/19 17:14:13

	aic79xx_osm.c:
		Get a collision index prior to getting an SCB to use.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#38 edit

Change 1183 by gibbs@aslan on 2002/07/19 17:04:52

	aic79xx.c:
		Add string for the aic7901A.
	
		Implement new SCB free list management so that
		all 512 scbs can be used in non-packetized
		environments.
	
		Implement new command completion mechanism that
		uses a toggling bit 15 to indicate that a new
		entry has arrived.  This avoids the kludgy writes
		to the qoutfifo that may not work on processors
		with certain types of cache retirement policies.
	
		Print out data structure sizes if AHD_DEBUG and
		AHD_SHOW_MEMORY.
	
		Allocate the "sentinal" hardware SCB used for
		queuing commands to the card separately so
		that one of the 512 valid SCBs is not consumed
		for this function.
	
		Add a space so we report "Wide Channel" instead of
		"WideChannel".
	
		Cleanup allocation of the shared data area so that
		the qoutfifo is always first.
	
		Add a fix for the RevA packetized Lun bug.  The driver
		will now setup a full 8byte lun in the previously
		"spare" portion of the SCB and the SCB transfer size
		is incremented if the bug is present.  This required a
		change in the layout of the disconnected SCB table to
		make room for the larger lun field.
	
	aic79xx.h:
		Add constants for the new qoutfifo scheme.
	
		Bump AHD_MAX_QUEUE up to 512 now that we have removed
		all of the issues that previously restricted it to
		a much lower value.
	
		Add a chip entry for the 7901A.
	
		Add the pkt_long_lun field to the hardware scb.
	
		SCB and ahc_softc updates for our new free scb
		management algorithm.
	
		Stop inlining ahd_get_scb() and ahd_free_scb().
		The get routine also take a collision index so
		as t make an optimum choice in which free SCB to
		pick.
	
	aic79xx.reg:
		Add QOUTFIFO_ENTRY_VALID_TAG which is or'd into the
		top byte of each completed SCB's tag id to effect
		the new completion scheme.
	
		Define the SCB_PKT_LUN field and new SCB transfer
		sizes required to use this field..
	
	aic79xx.seq:
		Implement the new command completion scheme.
	
		Effect disconnected SCB table format change.
	
	aic79xx_inline.h:
		When queuing a packetized SCB, update pkt_long_lun
		in case we need it for the PKT_LUN workaround.
	
		Uninline ahd_get_scb() && ahd_free_scb().
	
		Adjust for the change from storing an SCB to an HSCB
		as the next "SCB" in the softc.
	
		Update for changes in the command completion scheme.
	
	aic79xx_pci.c:
		Fix a few issues with detecting the 7901A.
	
	aic79xx_osm.c:
		Determine the type of transaction prior and the
		necessary collision index prior to allocating
		an SCB.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#81 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#49 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#35 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#43 edit
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#30 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#36 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.c#16 edit

Change 1182 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/07/19 16:34:50

	Add the global_tag_depth variable to the aic79xx driver

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#37 edit

Change 1181 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/07/19 13:45:22

	Update PCI tables for the 29320 and 7901 variants.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#48 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#35 edit

Change 1180 by gibbs@aslan on 2002/07/18 17:08:50

	aic79xx_pci.c:
		Remove A3 support.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#34 edit

Change 1179 by scottl@scottl-hobbiton-mod_devel_aic7xxx on 2002/07/18 15:46:45

	Version 6.2.9:
		Add new command-line argument global_tag_depth:<int>, which
		allows you to set the tag depth for every target on every
		channel.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#108 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#85 edit

Change 1172 by gibbs@overdrive on 2002/06/12 12:32:49

	aic7xxx_osm.c:
		Define use MODULE_LICENSE should it be defined instead
		of testing against a specific kernel version.  This
		should allow 7.2AS driver diskettes to work.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#107 edit

Change 1171 by gibbs@overdrive on 2002/06/06 17:40:00

	aic79xx_osm.h:
		Try two.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#37 edit

Change 1170 by gibbs@overdrive on 2002/06/06 17:38:12

	aic79xx_osm.h:
		Convert to using AHD_DEBUG_OPTS.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#36 edit

Change 1166 by gibbs@aslan on 2002/06/06 10:18:11

	Cleanup AHD_DEBUG.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#80 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#47 edit
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#29 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#33 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.c#14 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.h#8 edit

Change 1164 by gibbs@aslan on 2002/06/06 10:05:23

	aicasm_symbol.c:
		Remove another multi-line string literal.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm_symbol.c#15 edit

Change 1163 by gibbs@aslan on 2002/06/05 16:49:30

	aicasm.c:
		Remove wrapping strings.

Affected files ...

... //depot/aic7xxx/aic7xxx/aicasm/aicasm.c#17 edit

Change 1159 by gibbs@bitkeeper-linux-2.4 on 2002/05/30 23:23:01

	Config.in:
	Makefile:
		Cleanup our config data and makefiles.

Affected files ...

... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Config.in#6 edit
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Makefile#4 edit

Change 1157 by gibbs@overdrive on 2002/05/30 22:15:02

	aic79xx_osm.h:
		Bump to version 1.0.0.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#35 edit

Change 1156 by gibbs@overdrive on 2002/05/30 22:14:09

	aic79xx_inline.h:
		Rearrange code to setup hscb->dataptr so our operations
		are not truncated to 32bits.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#28 edit

Change 1154 by gibbs@aslan on 2002/05/30 21:53:39

	aic79xx_inline.h:
		Include the top 7 bits of address when setting up
		hscb->dataptr for the 39BIT addressing mode.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#27 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.seq#44 edit

Change 1153 by gibbs@aslan on 2002/05/30 20:09:22

	aic79xx.h:
		union -> struct for the cdb_plus_sense structure.
		This was missed in the re-arrangement of the hscb
		declaration.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#46 edit

Change 1151 by gibbs@overdrive on 2002/05/30 18:24:34

	aic79xx_reg.h:
	aic79xx_seq.h:
		Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#16 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#17 edit

Change 1150 by gibbs@aslan on 2002/05/30 14:26:20

	aic79xx_inline.h:
		aic79xx_inline.h:
			Break dataptr into u_int sized chucks for
			printing to avoid compiler errors.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#26 edit

Change 1149 by gibbs@aslan on 2002/05/30 14:25:13

	aic79xx.c:
		Panic if our hardware scb definition is not 64 bytes.
		Hopefully this will catch agressive compiler padding
		in the future.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#79 edit

Change 1145 by gibbs@overdrive on 2002/05/30 13:51:24

	aic79xx_osm.c:
		Upate for change in hardware SCB definition.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#36 edit

Change 1144 by gibbs@aslan on 2002/05/30 13:50:02

	aic79xx.c:
	aic79xx.h:
	aic79xx_inline.h:
	aic79xx_osm.c:
		Rearrange hardware SCB definition to avoid
		64bit alignment/packing problems on native
		64bit platforms.  Everything was aligned
		correctly, but the compiler was not smart
		enough to see this with how the structures
		were previously defined.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#78 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#45 edit
... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#25 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.c#12 edit

Change 1143 by gibbs@aslan on 2002/05/29 20:55:06

	aic79xx.c:
	aic79xx.h:
	aic79xx_pci.c:
	aic7xxx.c:
		Convert a few straglers to inttypes.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#77 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#44 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#32 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#70 edit

Change 1141 by gibbs@overdrive on 2002/05/29 20:27:14

	aic79xx_osm.c:
		Bring back an "int i;" that was removed to fix a
		compile warning.  It is used in debug code, so move
		it to where it is used.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#35 edit

Change 1139 by gibbs@overdrive on 2002/05/29 20:23:18

	aic79xx_osm.c:
	aic79xx_osm.h:
	aic79xx_osm_pci.c:
	aic7xxx_osm.c:
	aic7xxx_osm.h:
	aic7xxx_osm_pci.c:
		Bring back the hack to force consistent memory to
		be below 4GB.  The IA64 platform only enforces this
		if your PCI device's dma mask is set to 4GB.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#34 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#34 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#11 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#106 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#84 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#36 edit

Change 1138 by gibbs@overdrive on 2002/05/28 14:19:38

	aic79xx_osm.c:
		And another.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#33 edit

Change 1137 by gibbs@overdrive on 2002/05/28 14:17:46

	aic79xx_osm.c:
		Kill a few compile warnings.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#32 edit

Change 1135 by gibbs@aslan on 2002/05/28 13:35:41

	aic79xx.c:
	aic79xx.h:
		Enable ahd_fini_scbdata().
	
		Change some #if 0's to AHD_DEBUG logs.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#76 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#43 edit

Change 1133 by gibbs@overdrive on 2002/05/28 12:58:11

	aic79xx_osm.c:
		Clean up some 'XXX' and #if 0 stuff.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#31 edit

Change 1132 by gibbs@overdrive on 2002/05/28 12:51:44

	aic79xx_osm_pci.c:
		More typos.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#10 edit

Change 1130 by gibbs@overdrive on 2002/05/28 12:45:53

	aic7xxx_osm_pci.c:
		Remove stray '{'

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#35 edit

Change 1129 by gibbs@overdrive on 2002/05/28 12:43:47

	aic79xx_osm_pci.c:
	aic7xxx_osm_pci.c:
		Restore inadvertantly removed #endif.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#9 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#34 edit

Change 1128 by gibbs@overdrive on 2002/05/28 12:39:12

	aic7xxx_osm.c:
		Remove one more stray use of hw_dma_mask.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#105 edit

Change 1127 by gibbs@overdrive on 2002/05/28 12:37:22

	aic7xxx_osm.c:
	aic7xxx_osm.h:
	aic7xxx_osm_pci.c:
		Don't bother messing with the dma mask during
		alloc consistent calls.  Linux guarantees that
		the mappings will be below 4GB.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#104 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#83 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#33 edit

Change 1126 by gibbs@overdrive on 2002/05/28 12:32:23

	aic79xx_osm.c:
	aic79xx_osm.h:
	aic79xx_osm_pci.c:
		Hook up 64BIT S/G support for Linux.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#30 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#33 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#8 edit

Change 1125 by gibbs@aslan on 2002/05/24 17:11:19

	aic79xx.h:
		Pad ahd_dma64_seg to 16 bytes so we can still use
		the ODD_SEG bit in the SG_CACHE.  Otherwise we'd
		be able to shrink the SG element down to 12 bytes.
	
	aic79xx.seq:
		Complete 64bit S/G data address support and inline
		sg advance.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#42 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#42 edit

Change 1121 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/05/24 14:01:42

	Beta 6

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#32 edit

Change 1120 by gibbs@aslan on 2002/05/24 13:58:41

	aic79xx.c:
		Fix some big endian bugs.
	
		Set SPLTSTADIS in PCIXCTL so we don't issue a target
		abort when we abort an SG element fetch.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#75 edit

Change 1117 by gibbs@overdrive on 2002/05/23 16:44:08

	aic79xx_osm.h:
		Bump version number to 0.5.0.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#31 edit

Change 1115 by gibbs@overdrive on 2002/05/23 16:41:47

	aic79xx_osm.h:
		Add PCIX configuration space definitions.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#30 edit

Change 1114 by gibbs@aslan on 2002/05/23 16:39:32

	aic79xx_pci.c:
		First shot at PCI-X error reporting.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#31 edit

Change 1113 by gibbs@aslan on 2002/05/23 16:36:13

	aic79xx_inline.h:
		We always need to run the qoutfifo even if only
		doing target mode.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_inline.h#24 edit

Change 1112 by gibbs@aslan on 2002/05/22 13:38:33

	aic7xxx_pci.c:
		Allow autoterm if we have SCB based config data.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#46 edit

Change 1110 by gibbs@overdrive on 2002/05/22 11:41:08

	aic7xxx_reg.h:
	aic7xxx_seq.h:
		Regenerate firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#10 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#11 edit

Change 1109 by gibbs@aslan on 2002/05/22 11:40:28

	aic7xxx.c:
		Remove some unecessary ahc_flush_device_writes().
	
	aic7xxx.reg:
		Remove redundant definition for SOFTCMDEN.
	
	aic7xxx_pci.c:
		Only attempt auto-term if we have seeprom (or like)
		data.
	
		For SPIOCAP based controllers, be sure that external
		board control logic is enabled for termination control.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#69 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.reg#30 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#45 edit

Change 1108 by gibbs@aslan on 2002/05/21 16:51:16

	aic79xx_pci.c:
		SRAM_BASE -> SCB_BASE for reading SCB configuration
		options.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#30 edit

Change 1106 by gibbs@overdrive on 2002/05/21 15:03:07

	Regenerate Linux aic79xx firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#15 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#16 edit

Change 1105 by gibbs@overdrive on 2002/05/21 15:01:39

	aic79xx_osm.c:
		AHC -> AHD.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#29 edit

Change 1103 by gibbs@overdrive on 2002/05/21 14:57:59

	aic79xx_osm.c:
	aic79xx_osm.h:
		Add queue full and busy status timer to the aic79xx driver.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#28 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#29 edit

Change 1102 by gibbs@overdrive on 2002/05/21 14:48:16

	aic7xxx_osm.c:
		Fix a few more compile errors.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#103 edit

Change 1101 by gibbs@overdrive on 2002/05/21 14:45:36

	aic7xxx_osm.c:
		Really get the right timer.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#102 edit

Change 1100 by gibbs@overdrive on 2002/05/21 14:39:27

	aic7xxx_osm.c:
		Use the correct timer for busy and queue full handling.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#101 edit

Change 1099 by gibbs@overdrive on 2002/05/21 14:36:05

	aic7xxx_osm.h:
	aic7xxx_osm.c:
		Perform a 500ms delay for single command queue full status
		and busy status since Linux does not delay in this case.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#100 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#82 edit

Change 1098 by gibbs@aslan on 2002/05/21 13:37:36

	aic79xx.c:
	aic79xx.reg:
	aic79xx.seq:
		Switch over to a more generic "protocol violation"
		handler.  Use this to now catch cases where a
		disconnect or command complete message is not
		valid.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#74 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#34 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#41 edit

Change 1091 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/05/17 14:35:15

	Put a blank line before the Serial EEPROM text

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_proc.c#7 edit

Change 1090 by gibbs@overdrive on 2002/05/17 14:19:14

	aic79xx_osm.h:
		Bump to Beta 4.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#28 edit

Change 1089 by gibbs@overdrive on 2002/05/17 14:18:47

	aic79xx_seq.h:
	aic79xx_reg.h:
		Regenerate firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#14 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#15 edit

Change 1088 by gibbs@aslan on 2002/05/17 14:16:58

	aic79xx.c:
	aic79xx.reg:
	aic79xx.seq:
	aic79xx_osm.c:
		IDENTIFY_SEEN -> NOT_IDENTIFIED.
	
		Add NO_CDB_SENT flag to SEQ_FLAGS.  Use this
		to protect against DATA phases prior to having
		a completed cdb transfer.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#73 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#33 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#40 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.c#11 edit

Change 1087 by gibbs@aslan on 2002/05/17 13:32:27

	aic79xx.c:
	aic79xx.h:
	aic79xx.reg:
	aic79xx_pci.c:
		Add Compaq special write bias and slewrate.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#72 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#41 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#32 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#29 edit

Change 1086 by gibbs@overdrive on 2002/05/17 12:30:27

	aic79xx_proc.c:
		Adapt to ahd interface changes for seeprom routines.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_proc.c#6 edit

Change 1085 by gibbs@overdrive on 2002/05/17 12:28:21

	aic79xx_reg.h:
	aic79xx_seq.h:
		Regenerate Linux firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#13 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#14 edit

Change 1083 by gibbs@overdrive on 2002/05/17 12:25:01

	aic7xxx_proc.c:
		Add a prototype.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_proc.c#19 edit

Change 1082 by gibbs@overdrive on 2002/05/17 12:24:49

	aic79xx_proc.c:
		Add write seeprom support.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_proc.c#5 edit

Change 1081 by gibbs@aslan on 2002/05/17 12:22:15

	aic79xx.c:
	aic79xx.h:
	aic79xx.reg:
	aic79xx_pci.c:
		Add logic for writing to serial eeproms.
	
		Move all flexport logic into the core.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#71 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#40 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#31 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#28 edit

Change 1080 by gibbs@aslan on 2002/05/17 11:43:50

	aic79xx.c:
	aic79xx.h:
	aic79xx_pci.c:
		Switch over to using a buffer to store seeprom contents.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#70 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#39 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#27 edit

Change 1078 by gibbs@overdrive on 2002/05/17 11:31:05

	aic79xx_proc.c:
		Protect the aic79xx proc code with the ahd_list_lock.
	
	aic7xxx_proc.c:
		Release the ahc_list_lock when errors are encountered.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_proc.c#4 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_proc.c#18 edit

Change 1077 by gibbs@overdrive on 2002/05/17 11:16:59

	aic79xx_osm.c:
		':' -> ';'

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#27 edit

Change 1076 by gibbs@overdrive on 2002/05/17 11:14:48

	aic79xx_osm.c:
	aic79xx_osm.h:
		Kill a few stray ahcs.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#26 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#27 edit

Change 1074 by gibbs@overdrive on 2002/05/17 11:08:38

	aic79xx_osm.c:
	aic79xx_osm.h:
	aic79xx_osm_pci.c:
		Linux implementation of the ahd_list_lock.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#25 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#26 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#7 edit

Change 1073 by gibbs@aslan on 2002/05/17 10:57:35

	Implement and use the ahd_list_lock.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#69 edit
... //depot/aic7xxx/aic7xxx/aic79xx_pci.c#26 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.c#10 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.h#6 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic7xxx_osm.c#6 edit

Change 1071 by gibbs@overdrive on 2002/05/17 10:23:20

	aic7xxx_reg.h:
	aic7xxx_seq.h:
		Regenerate firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#9 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#10 edit

Change 1070 by gibbs@overdrive on 2002/05/17 10:22:28

	aic7xxx.seq:
		Defer clearing SELDO until we have set IDENTIFY_SEEN.
		This closes another race in the abort code.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.seq#43 edit

Change 1069 by gibbs@overdrive on 2002/05/17 10:21:50

	aic7xxx_osm.c:
		Treat IDENTIFY_SEEN flag as an indication that we
		are still on the bus but still waiting for the first
		REQ.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#99 edit

Change 1068 by gibbs@overdrive on 2002/05/17 09:42:25

	aic7xxx_osm.c:
	aic7xxx_osm_pci.c:
		Guard the two avenues for detach with the ahc_list_lock.
	
		Disable card interrupts prior to attempting detach.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#98 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#32 edit

Change 1067 by gibbs@aslan on 2002/05/17 09:36:18

	aic7770.c:
	aic7xxx_pci.c:
		Guarantee that the ahc_list_lock is not required
		across the calls to the different config calls by
		only putting the softc into the list if the config
		is successful.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7770.c#21 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#44 edit

Change 1066 by gibbs@aslan on 2002/05/17 09:30:44

	aic7770.c:
	aic7xxx.c:
	aic7xxx_pci.c:
	aic7xxx_osm.c:
		Make sure that the ahc_list_lock is always aquired
		ahead of the ahc_lock to prevent lock order reversals.
	
		Protect insertions of the ahc_softc into the ahc_list
		with the ahc_list_lock.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7770.c#20 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#68 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#43 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic7xxx_osm.c#5 edit

Change 1064 by gibbs@overdrive on 2002/05/16 22:36:00

	aic7xxx_osm.c:
		Don't register our reboot notifier twice.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#97 edit

Change 1062 by gibbs@aslan on 2002/05/16 17:36:58

	aic79xx.c:
		Set HOST_MSG in the command complete with no status
		case so that when we go to message out, the sequencer
		will notify the host.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#68 edit

Change 1061 by gibbs@overdrive on 2002/05/16 14:55:36

	aic7xxx.c:
		Freeze the untagged queues from within
		ahc_search_untaggd_queues() in addition to
		ahc_search_qinfifo().  There are other callers
		to ahc_search_untagged_queues().

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#67 edit

Change 1059 by gibbs@overdrive on 2002/05/16 14:18:12

	aic7xxx_osm.h:
		Bump version number to 6.2.8.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#81 edit

Change 1058 by gibbs@overdrive on 2002/05/16 14:17:45

	aic7xxx_reg.h:
	aic7xxx_seq.h:
		Regenerate firmware for Linux.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#8 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#9 edit

Change 1057 by gibbs@overdrive on 2002/05/16 14:16:41

	aic7xxx_proc.c:
		Perform a read after the write to the serial eeprom
		to refresh our eeprom buffer.  This allows the user
		to verify that the write was good.
	
		Only acquire and release the seeprom if we are not
		a VLB card.
	
		Be less strick in allowing writes.  We want the user to
		be able to overwrite an EEPROM that was previously corrupted.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_proc.c#17 edit

Change 1056 by gibbs@overdrive on 2002/05/16 14:13:32

	aic7xxx_pci.c:
		Set seep_config to NULL after freeing the seep buffer.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#42 edit

Change 1055 by gibbs@aslan on 2002/05/16 13:59:01

	aic7770.c:
	aic7xxx.reg:
		Add support for configuration extended translation
		on the 274X.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7770.c#19 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.reg#29 edit

Change 1054 by gibbs@aslan on 2002/05/16 12:57:59

	aic7xxx.h:
	aic7xxx_pci.c:
		Record if the BIOS config left over in SCB2 is used.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.h#45 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#41 edit

Change 1053 by gibbs@aslan on 2002/05/16 12:57:24

	aic79xx.h:
		Reduce AHD_MAX_QUEUE to 255 until support for using
		all SCBs is added.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#38 edit

Change 1052 by gibbs@overdrive on 2002/05/16 11:23:12

	aic79xx_reg.h:
	aic79xx_seq.h:
		Regenerate firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#12 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#13 edit

Change 1051 by gibbs@aslan on 2002/05/16 11:06:00

	aic79xx.c:
		Correct some #if AHD_TARGET_MODE code.
	
	aic79xx.seq:
		If we do not find a matching SCB when snooping
		the bus, don't "double ack" the last byte.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#67 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#39 edit

Change 1050 by gibbs@aslan on 2002/05/16 10:55:25

	aic7xxx.c:
	aic7xxx.h:
	aic7xxx_pci.c:
		Record if we are in large SCB mode and use this
		to fully initialize all SCBs so that reads in
		our debuging routines don't cause inadvertent
		parity errors.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#66 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#44 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#40 edit

Change 1049 by gibbs@aslan on 2002/05/16 10:41:35

	aic7xxx.c:
		Flush device writes after doing any CLRREQINITs.
	
		Protect ahc frees via the list lock.
	
	aic7xxx_osm.h:
		FreeBSD implementation of the list lock.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#65 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic7xxx_osm.h#5 edit

Change 1048 by gibbs@overdrive on 2002/05/16 10:29:21

	aic7xxx_osm.c:
		Set "paused" from within the "get the controller in
		a consistent state" loop in ahc_queue_recovery_cmd().

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#96 edit

Change 1046 by gibbs@overdrive on 2002/05/15 17:53:13

	aic7xxx_reg.h:
	aic7xxx_seq.h:
		Regenerate firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#7 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#8 edit

Change 1045 by gibbs@aslan on 2002/05/15 17:51:20

	aic7xxx.seq:
		Only clear SELDO after we have removed the
		active SCB from the waiting list.  This allows
		the host to use this as a confirmation that
		the WAITING_SCB list is free of a just selected
		SCB.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.seq#42 edit

Change 1044 by gibbs@overdrive on 2002/05/15 17:48:42

	aic7xxx_osm.c:
	aic7xxx_osm.h:
		Add ahd_list_lock implementation for Linux.
	
		Protect against a pending selection in our recovery
		queuing routine.
	
	aic7xxx_proc.c:
		Use the buffer in the softc for seeprom access.  Add
		preliminary write support for VLB cards.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#95 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.h#80 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_proc.c#16 edit

Change 1043 by gibbs@overdrive on 2002/05/15 17:07:06

	aic7xxx.c:
		Clear out SCB_SCSIID and SCB_LUN when setting up
		the SCB free list.  We don't want a parity error
		if we dump these out in ahc_dump_card_state().

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#64 edit

Change 1042 by gibbs@aslan on 2002/05/15 15:39:00

	aic7770.c:
		Seeprom config is now a pointer.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7770.c#18 edit

Change 1040 by gibbs@aslan on 2002/05/15 14:47:38

	aic7770.c:
	aic7xxx.c:
	aic7xxx.h:
	aic7xxx_pci.c:
		Store seeprom information in a buffer hung
		off the softc.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7770.c#17 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.c#63 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#43 edit
... //depot/aic7xxx/aic7xxx/aic7xxx_pci.c#39 edit

Change 1039 by gibbs@overdrive on 2002/05/15 13:05:07

	Merge latest aic79xx driver into linux-aic79xx-2.4.0.

Affected files ...

... //depot/linux-aic79xx-2.4.0/Makefile#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/ide/cmd640.c#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/Makefile#2 edit
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Config.in#5 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/Makefile#3 edit
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx.h#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx.reg#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx.seq#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx_core.c#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx_host.h#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx_inline.h#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx_osm.c#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx_osm.h#4 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx_osm_pci.c#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx_pci.c#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx_proc.c#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx_reg.h#4 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic79xx_seq.h#4 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx.h#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx.reg#4 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx.seq#4 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx_93cx6.c#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx_93cx6.h#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx_core.c#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx_host.h#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx_osm.c#4 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx_osm.h#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx_pci.c#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx_proc.c#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx_reg.h#4 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aic7xxx_seq.h#4 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aicasm/Makefile#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aicasm/aicasm.c#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aicasm/aicasm.h#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aicasm/aicasm_gram.y#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aicasm/aicasm_insformat.h#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aicasm/aicasm_macro_gram.y#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aicasm/aicasm_macro_scan.l#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aicasm/aicasm_scan.l#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aicasm/aicasm_symbol.c#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/aicasm/aicasm_symbol.h#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/aic7xxx/scsi_iu.h#2 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/sd.c#3 integrate
... //depot/linux-aic79xx-2.4.0/drivers/scsi/sr.c#3 integrate

Change 1038 by gibbs@overdrive on 2002/05/15 12:50:49

	aic79xx_osm.c:
	aic79xx_osm.h:
		Next pass at timer support in the Linux OSM.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#24 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#25 edit

Change 1037 by gibbs@overdrive on 2002/05/15 12:48:28

	aic79xx.c:
		Move two variables into #ifdef AHD_TARGET_ROLE.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#66 edit

Change 1036 by gibbs@overdrive on 2002/05/14 17:16:57

	Regenerate firmware.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#11 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#12 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_reg.h#6 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_seq.h#7 edit

Change 1035 by gibbs@overdrive on 2002/05/14 17:15:44

	aic79xx_osm.c:
		Register our reboot notifier on the first allocation
		of a platform softc rather than in our module parameter
		parsing routine.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#23 edit

Change 1034 by gibbs@overdrive on 2002/05/14 17:08:01

	aic79xx_osm.h:
		First cut at ahd timer facility for linux.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#24 edit

Change 1033 by gibbs@aslan on 2002/05/14 15:54:32

	aic79xx.c:
	aic79xx.h:
	aic79xx.seq:
	aic79xx_osm.h:
		Poll for SCSI bus reset going away from a timer
		context rather than deferring the re-enabling
		of the SCSIRSTI interrupt to the sequencer.  We
		have to catch *every* bus reset due to the reset
		behavior of the negotiation table.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#65 edit
... //depot/aic7xxx/aic7xxx/aic79xx.h#37 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#38 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.h#5 edit

Change 1032 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/05/13 17:21:47

	Regenerate firmware

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#10 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#11 edit

Change 1031 by gibbs@overdrive on 2002/05/13 17:14:19

	aic79xx_osm.h
		Bump version to 0.3.0.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#23 edit

Change 1030 by gibbs@aslan on 2002/05/13 17:11:08

	aic79xx.c:
	aic79xx.seq:
		Have the sequencer re-enable incoming scsi reset
		interrupts if, prior to starting an outgoing selection,
		this interrupt is disabled.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#64 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#37 edit

Change 1029 by gibbs@aslan on 2002/05/13 16:47:29

	aic79xx.c:
		Handle non-packetized phase unexpected busfree
		events via the non-packetized handler regardless
		of the packetized negotiation agreement in effect.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#63 edit

Change 1028 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/05/11 22:55:03

	Bump the version to 0.2.1.  We missed 0.2.0, and the driver is
	about to be re-released to address yet another script bug.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#22 edit

Change 1026 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/05/10 22:38:10

	Regenerate firmware

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_reg.h#9 edit
... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_seq.h#10 edit

Change 1024 by gibbs@aslan on 2002/05/10 20:19:25

	aic79xx.c:
		Add an error handler for receiving a command complete
		message without having received status.  We will attempt
		to abort the command.
	
		Enable the OVERRUN interrup and add a handler for it.
	
		Include lun information when compiling devinfo for the
		unexpected bus free handler.
	
		Mask off the correct number of length bits when printing
		S/G elements.
	
		Always update the neg table when setting bus width.
	
		Don't bother clearing the last three bytes of the annex
		table on every update of the neg table.  These are cleared
		explicitly on chip reset and will, in the B, contain training
		info.
	
		Reset the chip on third party resets.  It is hoped that this
		is the cause of some of the host basher issues related to
		transferring into and out of emulation mode.
	
		Factor out more S/G printing code.
	
	aic79xx.reg:
		Add a new sequencer interrupt code for a command complete
		message with no status phase.
	
	aic79xx.seq:
		Add checking for whether status has been delivered or not
		in the command complete handler.
	
		Correct a test for a necessary bitbucket prior to having
		the host reinitialize our data pointers.
	
	aic79xx_osm.h:
		Change the AHD_DEBUG value for FreeBSD to 0x3FF.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#62 edit
... //depot/aic7xxx/aic7xxx/aic79xx.reg#30 edit
... //depot/aic7xxx/aic7xxx/aic79xx.seq#36 edit
... //depot/aic7xxx/freebsd/dev/aic7xxx/aic79xx_osm.h#4 edit

Change 1018 by gibbs@bitkeeper-linux-2.4 on 2002/05/08 17:21:24

	aic7xxx_osm.c:
		Replace SEARCH_REMOVE with SEARCH_COMPLETE in the search
		of the untagged queue.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#94 edit

Change 1017 by gibbs@overdrive on 2002/05/07 17:45:57

	aic7xxx_osm.c:
		Remove entries from the untagged queue prior to
		doing a more general abort in ahd_linux_queue_recovery_cmd().

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic7xxx_osm.c#93 edit

Change 1016 by gibbs@aslan on 2002/05/07 17:34:02

	aic7xxx.c:
	aic7xxx.h:
		Break out the search for entries in the untagged
		queue into its own routine.  Allow the user to
		search based on io_ctxt too.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic7xxx.c#62 edit
... //depot/aic7xxx/aic7xxx/aic7xxx.h#42 edit

Change 1015 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/05/07 14:54:52

	Beta 1

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.h#21 edit

Change 1014 by gibbs@aslan on 2002/05/07 14:53:39

	aic79xx.h:
		Limit max queue to 256 until nonpacketized tag
		management is added to the driver.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#36 edit

Change 1013 by scottl@scottl-hobbiton-mod_devel_aic79xx on 2002/05/07 14:26:20

	Add semicolon, initialize a variable before use.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#22 edit

Change 1012 by gibbs@overdrive on 2002/05/07 14:25:46

	aic79xx.h:
		Change ahd_debug to be a uint32_t.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#35 edit

Change 1011 by gibbs@overdrive on 2002/05/07 14:01:41

	aic79xx.c:
		Make ahd_debug a uint32_t.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#61 edit

Change 1010 by gibbs@overdrive on 2002/05/07 13:59:31

	aic79xx_osm.c:
		Ignore short inquiry information for devices that
		are already configured and seem to allow spi3/4
		ppr options.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#21 edit

Change 1009 by gibbs@aslan on 2002/05/07 13:07:06

	aic79xx.c:
		Expand on our unexpected busfree handling.
		We now have a better chance of getting the
		packetized vs. non-packetized status correct.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.c#60 edit

Change 1008 by gibbs@aslan on 2002/05/07 11:22:51

	aic79xx.h:
		Add a debug option for QFull messages.

Affected files ...

... //depot/aic7xxx/aic7xxx/aic79xx.h#34 edit

Change 1007 by gibbs@overdrive on 2002/05/07 11:22:04

	aic79xx_osm.c:
		Add a loging option for displaying Queue Full info.

Affected files ...

... //depot/aic7xxx/linux/drivers/scsi/aic7xxx/aic79xx_osm.c#20 edit

Change 1005 by gibbs@aslan on 2002/05/06 17:20:00

	aic79xx.c:
		Complete port of the ignore wide residue and
		data pointers reinitialization routines.
	
		Create ahd_dump_sglist() and use it to factor out
		some code.
	
		Use SCB_GET_TAG to access hscb->tag.  This fixes
		the first of many big endian issues in the driver.
	
		In the busfree handler, busfree time is valid even
		for non-packetized phases.  We now assume that a
		packetized phase is active if lastphase is P_BUSFREE.
	
		If a parity error occurred in the current phase,
		ack the current byte so long as it is not currently
		a data phase.
	
		Print out the number of SCBs aborted during
		non-packetized busfree handling.
	
	aic79xx.h:
		Add definition for SCB_GET_TAG.
	
		Add a new debug entry for AHD_SHOW_QUEUE.
	
		Add prototype for ahd_dump_sglist.
	
	aic79xx.seq:
		In our restore data pointers handler, release
		and reacquire our FIFO to flush out any state
		info before a possible return to data phase.
	
		When coming back to the data phase handler after
		having already handled at least one data phase,
